------------------------------------------------------------------------------

2016-03-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, build/android/build-android.sh, configure.proto,
	doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.pdf,
	doc/vice.txt, po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po,
	po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat, src/version.h: VICE 2.4.26

2016-03-19  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist:
	added VFLImod to osx ui

2016-03-19  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/vic20ui.c, src/translate.txt,
	src/translate_text.c, src/vic20/vic-cycle.c,
	src/vic20/vic20-cmdline-options.c, src/vic20/vic20-resources.c,
	src/vic20/vic20-resources.h, src/vic20/vic20mem.c,
	src/vic20/vic20via2.c: added mike's VFLI modification to xvic. see
	devlog

2016-03-19  pottendo  <pottendo@aon.at>

	* po/de.po: Updated and some cleanup.

2016-03-18  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uiscreenshot.c: fixed screenshot dialog a
	bit

2016-03-18  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uicommands.c: removed 'run c1541' option from unix
	gui

2016-03-18  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uinetplay.c: fixed netplay dialog a bit

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescia.rc,
	src/arch/win32/rescpclockf83.rc, src/arch/win32/reseasyflash.rc,
	src/arch/win32/reside64.rc, src/arch/win32/resjoyport.rc,
	src/arch/win32/resretroreplay.rc, src/arch/win32/resrrnetmk3.rc,
	src/arch/win32/ressampler.rc, src/arch/win32/restapelog.rc,
	src/arch/win32/resuserportrtc58321a.rc,
	src/arch/win32/resuserportrtcds1307.rc, src/translate_text.c: Did a
	'make trans-update'.

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt, src/arch/unix/gui/uiide64.c: Removed some
	items that don't need translations.

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po',

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uic64dtv.c, src/arch/msdos/uic64model.c: Removed
	'VICIINewLuminances' items from the generic dos vicii menu and added
	it to the dos c64dtv model selection menu.

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uijoyport.c: Added bbrtc 'save rtc data when changed'
	item to the dos tui.

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c,
	src/arch/msdos/cbm5x0ui.c, src/arch/msdos/petui.c,
	src/arch/msdos/plus4ui.c, src/arch/msdos/uitapeport.c,
	src/arch/msdos/uitapeport.h, src/arch/msdos/vic20ui.c: Added tape port
	devices menu and all currently available devices to the dos tui.

2016-03-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uiide64.c: Added ide64 shortbus menu and shortbus
	digimax device item to the dos tui.

2016-03-17  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist:
	some more trivial osx fixes

2016-03-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resdialogs.txt, src/arch/win32/resjoyport.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/uijoyport.c: Added bbrtc
	'save rtc data when changed' item to the windows gui.

2016-03-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resc64dtv.rc, src/arch/win32/resvicii.rc,
	src/arch/win32/uic64dtvmodel.c, src/arch/win32/uivicii.c: Removed
	'VICIINewLuminances' items from the generic windows vicii dialog and
	added it to the windows c64dtv model selection dialog.

2016-03-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/cbm5x0ui.c, src/arch/win32/petui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/rescbm5x0.rc,
	src/arch/win32/rescpclockf83.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resmenu.txt, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/restapelog.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/uicpclockf83.c, src/arch/win32/uicpclockf83.h,
	src/arch/win32/uitapelog.c, src/arch/win32/uitapelog.h,
	src/arch/win32/vic20ui.c, src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj:
	Added tape port devices menu and all currently available devices to
	the windows gui.

2016-03-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uivideo.c: Added autogenerated palette items to the
	windows gui.

2016-03-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/palette.c: Cosmetic fix.

2016-03-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resdialogs.txt, src/arch/win32/reside64.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/uiide64.c: Added ide64
	shortbus menu and shortbus digimax device item to the windows gui.

2016-03-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uijoyport.c: Added bbrtc 'save rtc data when
	changed' item to the unix gui.

2016-03-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64scui.c,
	src/arch/unix/gui/c64ui.c, src/arch/unix/gui/cbm2ui.c,
	src/arch/unix/gui/petui.c, src/arch/unix/gui/plus4ui.c,
	src/arch/unix/gui/vic20ui.c: Forgot to hook in the tape port menus.

2016-03-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/Makefile.am, src/arch/unix/gui/uitapeport.c,
	src/arch/unix/gui/uitapeport.h: Added tape port devices menu and all
	currently available devices to the unix gui.

2016-03-15  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist:
	couple updates from devlog

2016-03-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uiide64.c: Added ide64 shortbus menu and shortbus
	digimax device item to the unix gui.

2016-03-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_joyport.c: Added bbrtc 'save rtc data when
	changed' item to the sdl gui.

2016-03-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_video.c, src/arch/sdl/menu_video.h,
	src/arch/sdl/x128_ui.c, src/arch/sdl/x64_ui.c,
	src/arch/sdl/x64sc_ui.c, src/arch/sdl/xcbm2_ui.c,
	src/arch/sdl/xpet_ui.c, src/arch/sdl/xplus4_ui.c,
	src/arch/sdl/xscpu64_ui.c, src/arch/sdl/xvic_ui.c: Added autogenerated
	palette menus to the sdl gui.

2016-03-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/core/fmopl.c: Added comment that shows that this file is now
	licensed under GPL 2.0+ (as currently also present/shown in the mame
	fmopl.cc).

2016-03-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64dtvhw.c, src/arch/sdl/menu_video.c: Removed
	'VICIINewLuminances' items from the generic sdl video menu and added
	it to the sdl c64dtv model selection menu.

2016-03-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_pethw.c,
	src/arch/sdl/menu_plus4hw.c, src/arch/sdl/menu_tape.c,
	src/arch/sdl/menu_tape.h, src/arch/sdl/menu_vic20hw.c: Added tape port
	devices menu and all currently available devices to the sdl gui.

2016-03-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64_common_expansions.c: Added shortbus menu and
	shortbus digimax device to the sdl gui.

2016-03-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/paperclip64.c: Fixed a warning.

2016-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/joyport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/joyport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/joyport.tmpl,
	src/arch/win32/watcom/joyport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c, src/cbm2/cbm2.c,
	src/cbm2/cbm5x0.c, src/joyport/Makefile.am, src/joyport/joyport.c,
	src/joyport/joyport.h, src/joyport/paperclip64.c,
	src/joyport/paperclip64.h, src/pet/pet.c, src/plus4/plus4.c,
	src/scpu64/scpu64.c, src/translate.txt, src/translate_text.c,
	src/vic20/vic20.c: Added (not yet working) paperclip64 dongle
	emulation.

2016-03-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/tapeport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/tapeport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/tapeport.tmpl,
	src/arch/win32/watcom/tapeport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c64/c64pla.c, src/cbm2/cbm2tpi1.c, src/datasette.c,
	src/pet/petpia1.c, src/tapeport/Makefile.am,
	src/tapeport/cp-clockf83.c, src/tapeport/dtl-basic-dongle.c,
	src/tapeport/dtl-basic-dongle.h, src/tapeport/sense-dongle.c,
	src/tapeport/tapelog.c, src/tapeport/tapeport.c,
	src/tapeport/tapeport.h, src/translate.txt, src/translate_text.c,
	src/vic20/vic20via2.c: Added (not yet working) dtl basic dongle
	emulation.

2016-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/c64dtv.tgt, src/arch/os2/watcom/cbm2common.tgt,
	src/arch/os2/watcom/pet.tgt, src/arch/os2/watcom/plus4.tgt,
	src/arch/os2/watcom/vic20cart.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/vsidlib.tgt: Fixed os/2 ow project files for
	debugcart additions.

2016-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/c64dtv.tgt,
	src/arch/sdl/win32-watcom/cbm2common.tgt,
	src/arch/sdl/win32-watcom/pet.tgt,
	src/arch/sdl/win32-watcom/plus4.tgt,
	src/arch/sdl/win32-watcom/vic20cart.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/vsidlib.tgt: Fixed sdl ow project files for
	debugcart additions.

2016-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/c64dtv.tmpl,
	src/arch/win32/vs_tmpl/cbm2common.tmpl,
	src/arch/win32/vs_tmpl/pet.tmpl, src/arch/win32/vs_tmpl/plus4.tmpl,
	src/arch/win32/vs_tmpl/vic20cart.tmpl,
	src/arch/win32/vs_tmpl/vsidlib.tmpl: Fixed win32 msvc project files
	for debugcart additions.

2016-03-12  groepaz <groepaz@gmx.net>

	* src/autostart.c: remove cbm2 hack, its not required afterall

2016-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/c64dtv.tgt,
	src/arch/win32/watcom/cbm2common.tgt, src/arch/win32/watcom/pet.tgt,
	src/arch/win32/watcom/plus4.tgt, src/arch/win32/watcom/vic20cart.tgt,
	src/arch/win32/watcom/vice.wpj, src/arch/win32/watcom/vsidlib.tgt:
	Fixed win32 ow project files for debugcart additions.

2016-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/vsid.tgt: Make vsid use the correct vicii lib
	in the win32 ow project files.

2016-03-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/watcom-source-wrappers/Makefile.am,
	src/arch/watcom-source-wrappers/c64dtv-debugcart.c,
	src/arch/watcom-source-wrappers/cbm2-debugcart.c,
	src/arch/watcom-source-wrappers/pet-debugcart.c,
	src/arch/watcom-source-wrappers/plus4-debugcart.c,
	src/arch/watcom-source-wrappers/vic20-debugcart.c: Added ow
	debugcart.c wrappers, needed for ow project files fixing (soon).

2016-03-11  groepaz <groepaz@gmx.net>

	* src/c128/c128.c, src/cbm2/cbm2.c, src/cbm2/cbm5x0.c, src/pet/pet.c,
	src/plus4/plus4.c, src/vic20/vic20.c: do not call ui_init in console
	mode

2016-03-11  groepaz <groepaz@gmx.net>

	* src/vic20/cart/Makefile.am, src/vic20/cart/debugcart.c,
	src/vic20/cart/debugcart.h, src/vic20/cart/vic20cart.c: added
	-debugcart to vic20

2016-03-11  groepaz <groepaz@gmx.net>

	* src/cbm2/cbm2mem.c, src/cbm2/cbm5x0mem.c, src/scpu64/scpu64mem.c:
	added missing zero_read functions

2016-03-11  groepaz <groepaz@gmx.net>

	* src/autostart.c, src/cbm2/cbm2rom.c, src/cbm2/cbm5x0rom.c: make
	autostart work for xcbm2 and xcbm5x0

2016-03-11  groepaz <groepaz@gmx.net>

	* src/c64/vsid-debugcart.c: fix warning

2016-03-11  groepaz <groepaz@gmx.net>

	* src/cbm2/Makefile.am, src/cbm2/cbm2.c, src/cbm2/cbm2io.c,
	src/cbm2/cbm5x0.c, src/cbm2/debugcart.c, src/cbm2/debugcart.h: added
	-debugcart to cbm2

2016-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cartio.h, src/vic20/vic20.c, src/vic20/vic20io.c,
	src/vic20/vic20mem.c: Extended vic20 i/o system to include i/o-0.

2016-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/bbrtc.c: Slight fix.

2016-03-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c,
	src/cbm2/cbm2.c, src/cbm2/cbm5x0.c, src/joyport/bbrtc.c,
	src/joyport/bbrtc.h, src/pet/pet.c, src/plus4/plus4.c,
	src/scpu64/scpu64.c, src/vic20/vic20.c: Use consistent function names
	for bbrtc.

2016-03-11  groepaz <groepaz@gmx.net>

	* src/c64/Makefile.am, src/c64/vsid-debugcart.c,
	src/c64/vsid-debugcart.h, src/c64/vsid.c, src/c64/vsidmeminit.c:
	-debugcart for vsid

2016-03-11  groepaz <groepaz@gmx.net>

	* src/c64dtv/c64dtvmeminit.c: fix debugcart i/o

2016-03-10  groepaz <groepaz@gmx.net>

	* src/plus4/plus4.c: fix machine_addr_in_ram(), makes autostart work
	reliable for xplus4

2016-03-10  groepaz <groepaz@gmx.net>

	* src/plus4/Makefile.am, src/plus4/debugcart.c,	src/plus4/debugcart.h,
	src/plus4/plus4.c: added -debugcart to xplus4

2016-03-10  groepaz <groepaz@gmx.net>

	* src/pet/Makefile.am, src/pet/debugcart.c, src/pet/debugcart.h,
	src/pet/pet.c, src/pet/petmem.c: added -debugcart to xpet

2016-03-10  groepaz <groepaz@gmx.net>

	* src/c64dtv/Makefile.am, src/c64dtv/c64dtv.c, src/c64dtv/c64dtvmem.c,
	src/c64dtv/c64dtvmeminit.c, src/c64dtv/debugcart.c,
	src/c64dtv/debugcart.h: added -debugcart to x64dtv

2016-03-10  groepaz <groepaz@gmx.net>

	* src/core/flash040core.c: fix regression from r30370 - addr=2 must be
	always 0 on older chips

2016-03-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/c64cart.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/c64cart.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/c64cart.tmpl,
	src/arch/win32/watcom/c64cart.tgt, src/arch/win32/watcom/vice.wpj,
	src/c64/cart/Makefile.am, src/c64/cart/c64cart.c,
	src/c64/cart/c64carthooks.c, src/c64/cart/crt.c,
	src/c64/cart/easycalc.c, src/c64/cart/easycalc.h, src/cartconv.c,
	src/cartridge.h, src/translate.txt, src/translate_text.c: Added easy
	calc result cart support (crt id 59).

2016-03-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/tapeport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/tapeport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/tapeport.tmpl,
	src/arch/win32/watcom/tapeport.tgt, src/arch/win32/watcom/vice.wpj,
	src/tapeport/Makefile.am, src/tapeport/sense-dongle.c,
	src/tapeport/sense-dongle.h, src/tapeport/tapeport.c,
	src/translate.txt, src/translate_text.c: Added generic tape sense
	(asserting) dongle support.

2016-03-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/pcf8583.c: Updated.

2016-03-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/c128.tgt, src/arch/os2/watcom/c64commonsc.tgt,
	src/arch/os2/watcom/cbm2.tgt, src/arch/os2/watcom/cbm5x0.tgt,
	src/arch/os2/watcom/tapeport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/c128.tgt,
	src/arch/sdl/win32-watcom/c64commonsc.tgt,
	src/arch/sdl/win32-watcom/cbm2.tgt,
	src/arch/sdl/win32-watcom/cbm5x0.tgt,
	src/arch/sdl/win32-watcom/tapeport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/win32/vs_tmpl/c128.tmpl,
	src/arch/win32/vs_tmpl/cbm2.tmpl, src/arch/win32/vs_tmpl/cbm5x0.tmpl,
	src/arch/win32/vs_tmpl/tapeport.tmpl, src/arch/win32/watcom/c128.tgt,
	src/arch/win32/watcom/c64commonsc.tgt,
	src/arch/win32/watcom/c64commonsc128.tgt,
	src/arch/win32/watcom/cbm2.tgt, src/arch/win32/watcom/cbm5x0.tgt,
	src/arch/win32/watcom/tapeport.tgt, src/arch/win32/watcom/vice.wpj,
	src/tapeport/Makefile.am, src/tapeport/cp-clockf83.c,
	src/tapeport/cp-clockf83.h, src/tapeport/tapelog.c,
	src/tapeport/tapeport.c, src/tapeport/tapertc.c,
	src/tapeport/tapertc.h, src/translate_text.c: Changed name of tapertc
	to cp-clockf83 and fixed various project files.

2016-03-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/pcf8583.c, src/rtc/pcf8583.h, src/tapeport/tapertc.c: Added
	tape rtc support.

2016-03-08  groepaz <groepaz@gmx.net>

	* src/core/viacore.c: fix bug introduced by r30700, see
	testprogs/VIC20/via_t1crash

2016-03-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/pcf8583.h: Added missing include.

2016-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/tapeport/tapeport.c: Some fixes.

2016-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/tapeport.tgt,
	src/arch/sdl/win32-watcom/tapeport.tgt,
	src/arch/win32/vs_tmpl/tapeport.tmpl,
	src/arch/win32/watcom/tapeport.tgt, src/rtc/pcf8583.c,
	src/rtc/pcf8583.h, src/tapeport/Makefile.am, src/tapeport/tapeport.c,
	src/tapeport/tapertc.c, src/tapeport/tapertc.h, src/translate.txt,
	src/translate_text.c: Added a tapeport rtc, wip, name will change once
	the official name is determined.

2016-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/doodledrv.c, src/gfxoutputdrv/koaladrv.c: Fixed
	crash of compressed native screenshot saving.

2016-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cbm2/cbm2io.c, src/cbm2/cbm2mem.c: Undid $00/$01 unconnected
	memory space influence assumptions.

2016-03-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/tapeport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/tapeport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/tapeport.tmpl,
	src/arch/win32/watcom/tapeport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/Makefile.am, src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm2.c,
	src/cbm2/cbm5x0.c, src/pet/pet.c, src/plus4/plus4.c,
	src/tapeport/Makefile.am, src/tapeport/tapelog.c,
	src/tapeport/tapelog.h, src/tapeport/tapeport.c, src/translate.txt,
	src/translate_text.c, src/vic20/vic20.c: Added 'tape log' device, a
	diagnostic tape port device that shows/logs the traffic going through
	it.

2016-03-06  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uicrtc.c, src/arch/unix/gui/uited.c,
	src/arch/unix/gui/uivdc.c, src/arch/unix/gui/uivic.c,
	src/arch/unix/gui/uivicii.c: make GTK UI use palette list API

2016-03-06  groepaz <groepaz@gmx.net>

	* src/palette.c, src/palette.h: API for generating palette entry from
	a central list, see devlog

2016-03-06  groepaz <groepaz@gmx.net>

	* src/vic20/vic-resources.c, src/vicii/vicii-resources.c,
	src/viciisc/vicii-resources.c: better default palette

2016-03-06  groepaz <groepaz@gmx.net>

	* data/C128/Makefile.am, data/C128/pepto-ntsc-sony.vpl,
	data/C128/pepto-ntsc.vpl, data/C128/rgb.vpl, data/C64DTV/Makefile.am,
	data/C64DTV/spiff.vpl, data/CBM-II/Makefile.am,
	data/CBM-II/pepto-ntsc-sony.vpl, data/CBM-II/pepto-ntsc.vpl,
	data/CBM-II/rgb.vpl, data/CBM-II/vice.vpl, data/PLUS4/Makefile.am,
	data/PLUS4/vice.vpl, data/SCPU64/Makefile.am,
	data/SCPU64/pepto-ntsc-sony.vpl, data/SCPU64/pepto-ntsc.vpl,
	data/SCPU64/rgb.vpl: updated/added some palette files

2016-03-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/joyport.tgt,
	src/arch/sdl/win32-watcom/joyport.tgt,
	src/arch/win32/vs_tmpl/joyport.tmpl,
	src/arch/win32/watcom/joyport.tgt, src/c128/c128.c, src/c64/c64.c,
	src/c64dtv/c64dtv.c, src/cbm2/cbm2.c, src/cbm2/cbm5x0.c,
	src/joyport/Makefile.am, src/joyport/bbrtc.c, src/joyport/bbrtc.h,
	src/joyport/joyport.c, src/joyport/joyport.h, src/pet/pet.c,
	src/plus4/plus4.c, src/rtc/ds1602.c, src/scpu64/scpu64.c,
	src/translate.txt, src/translate_text.c, src/vic20/vic20.c: Added
	bbrtc joyport device.

2016-03-06  groepaz <groepaz@gmx.net>

	* src/core/viacore.c: powerup values for T1 and T2 are apparently not
	0 but 0xff

2016-03-05  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/c64dtvui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/uic64dtv.c, src/arch/unix/gui/uic64dtv.h,
	src/arch/unix/gui/uivicii.c, src/c128/c128model.c, src/c64/c64model.c,
	src/c64/c64model.h, src/c64/c64scmodel.c, src/scpu64/scpu64model.c,
	src/vicii/vicii-cmdline-options.c, src/vicii/vicii-color.c,
	src/vicii/vicii-resources.c, src/vicii/vicii-resources.h, src/vicii.h,
	src/viciisc/vicii-chip-model.c, src/viciisc/vicii-cmdline-options.c,
	src/viciisc/vicii-color.c, src/viciisc/vicii-resources.c,
	src/viciisc/vicii-resources.h: get rid of VICIINewLuminances, except
	in x64dtv (see devlog)

2016-03-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/rtc.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/rtc.tgt, src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/rtc.tmpl, src/arch/win32/watcom/rtc.tgt,
	src/arch/win32/watcom/vice.wpj, src/rtc/Makefile.am,
	src/rtc/pcf8583.c, src/rtc/pcf8583.h: Added the pcf8583 rtc (as used
	in the tape port rtc, which is not yet emulated), not used by any hw
	device yet.

2016-03-05  Kajtar Zsolt <soci@c64.rulez.org>

	* src/core/viacore.c: Timer A null and B interrupt position fix

2016-03-05  Kajtar Zsolt <soci@c64.rulez.org>

	* src/cbmdos.c: Use "prg" for unspecified secondary 0 open too

2016-03-05  pottendo  <pottendo@aon.at>

	* po/de.po: Updated.

2016-03-04  groepaz <groepaz@gmx.net>

	* doc/gui-feature-checking.txt: moved to wiki

2016-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/ds1602.c: Some fixes.

2016-03-04  groepaz <groepaz@gmx.net>

	* doc/resource-and-cmdline-checking.txt: moved to wiki

2016-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/rtc.tgt, src/arch/sdl/win32-watcom/rtc.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/win32/vs_tmpl/rtc.tmpl,
	src/arch/win32/watcom/rtc.tgt, src/arch/win32/watcom/vice.wpj,
	src/rtc/Makefile.am, src/rtc/ds1602.c, src/rtc/ds1602.h: Added the
	ds1602 rtc (as used in the c64 bbrtc, which is not yet emulated), not
	used by any hw device yet.

2016-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/ds1307.c: Added a comment to show where the ds1307 rtc code
	is used.

2016-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/rtc/rtc-58321a.c: Cosmetic fix.

2016-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/watcom/Makefile.am,
	src/arch/os2/watcom/c64commonsc128.tgt,
	src/arch/os2/watcom/c64commonscvsid128.tgt,
	src/arch/os2/watcom/c64commonvsidscpu.tgt,
	src/arch/os2/watcom/c64dtv.tgt, src/arch/os2/watcom/c64sc.tgt,
	src/arch/os2/watcom/cbm2common.tgt, src/arch/os2/watcom/mainsrc.tgt,
	src/arch/os2/watcom/pet.tgt, src/arch/os2/watcom/plus4.tgt,
	src/arch/os2/watcom/scpu64.tgt, src/arch/os2/watcom/tapeport.tgt,
	src/arch/os2/watcom/vic20.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/vsid.tgt, src/arch/os2/watcom/vsidlib.tgt,
	src/arch/os2/watcom/x128.tgt, src/arch/os2/watcom/x64.tgt,
	src/arch/os2/watcom/x64sc.tgt, src/arch/os2/watcom/xcbm2.tgt,
	src/arch/os2/watcom/xcbm5x0.tgt, src/arch/os2/watcom/xpet.tgt,
	src/arch/os2/watcom/xplus4.tgt, src/arch/os2/watcom/xscpu64.tgt,
	src/arch/os2/watcom/xvic.tgt: Fixed os/2 ow project files for recent
	changes.

2016-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/base.tgt,
	src/arch/sdl/win32-watcom/c64commonsc128.tgt,
	src/arch/sdl/win32-watcom/c64commonscvsid128.tgt,
	src/arch/sdl/win32-watcom/c64commonvsid.tgt,
	src/arch/sdl/win32-watcom/c64dtv.tgt,
	src/arch/sdl/win32-watcom/c64sc.tgt,
	src/arch/sdl/win32-watcom/cbm2common.tgt,
	src/arch/sdl/win32-watcom/pet.tgt,
	src/arch/sdl/win32-watcom/plus4.tgt,
	src/arch/sdl/win32-watcom/scpu64.tgt,
	src/arch/sdl/win32-watcom/tapeport.tgt,
	src/arch/sdl/win32-watcom/vic20.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/vsidlib.tgt,
	src/arch/sdl/win32-watcom/x128.tgt, src/arch/sdl/win32-watcom/x64.tgt,
	src/arch/sdl/win32-watcom/x64sc.tgt,
	src/arch/sdl/win32-watcom/xcbm2.tgt,
	src/arch/sdl/win32-watcom/xcbm5x0.tgt,
	src/arch/sdl/win32-watcom/xpet.tgt,
	src/arch/sdl/win32-watcom/xplus4.tgt,
	src/arch/sdl/win32-watcom/xvic.tgt: Fixed win32 sdl ow project files
	for recent changes.

2016-03-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/datasette.c, src/translate.txt, src/translate_text.c: Added
	datasette enable/disable command line options.

2016-03-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/Makefile.am, src/arch/win32/watcom/base.tgt,
	src/arch/win32/watcom/c64commonsc128.tgt,
	src/arch/win32/watcom/c64commonscvsid128.tgt,
	src/arch/win32/watcom/c64commonvsid.tgt,
	src/arch/win32/watcom/c64dtv.tgt, src/arch/win32/watcom/c64sc.tgt,
	src/arch/win32/watcom/cbm2common.tgt, src/arch/win32/watcom/pet.tgt,
	src/arch/win32/watcom/plus4.tgt, src/arch/win32/watcom/scpu64.tgt,
	src/arch/win32/watcom/tapeport.tgt, src/arch/win32/watcom/vic20.tgt,
	src/arch/win32/watcom/vice.wpj, src/arch/win32/watcom/vsidlib.tgt,
	src/arch/win32/watcom/x128.tgt, src/arch/win32/watcom/x64.tgt,
	src/arch/win32/watcom/x64sc.tgt, src/arch/win32/watcom/xcbm2.tgt,
	src/arch/win32/watcom/xcbm5x0.tgt, src/arch/win32/watcom/xpet.tgt,
	src/arch/win32/watcom/xplus4.tgt, src/arch/win32/watcom/xvic.tgt:
	Fixed win32 ow project files for recent changes.

2016-03-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64model.c, src/c64/c64scmodel.c: Added disabling of the
	tapeport for certain c64 models.

2016-03-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/Makefile.am,
	src/arch/win32/vs_tmpl/Makefile.am, src/arch/win32/vs_tmpl/base.tmpl,
	src/arch/win32/vs_tmpl/c64.tmpl, src/arch/win32/vs_tmpl/c64c128.tmpl,
	src/arch/win32/vs_tmpl/c64dtv.tmpl, src/arch/win32/vs_tmpl/c64sc.tmpl,
	src/arch/win32/vs_tmpl/cbm2common.tmpl,
	src/arch/win32/vs_tmpl/mkmsvc.exe, src/arch/win32/vs_tmpl/pet.tmpl,
	src/arch/win32/vs_tmpl/plus4.tmpl, src/arch/win32/vs_tmpl/scpu64.tmpl,
	src/arch/win32/vs_tmpl/tapeport.tmpl,
	src/arch/win32/vs_tmpl/vic20.tmpl, src/arch/win32/vs_tmpl/vice.tmpl,
	src/arch/win32/vs_tmpl/vsidlib.tmpl, src/arch/win32/vs_tmpl/x128.tmpl,
	src/arch/win32/vs_tmpl/x64.tmpl, src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/c64/Makefile.am, src/c64/c64datasette.c, src/c64/c64pla.c,
	src/c64/vsidpla.c, src/c64/vsidstubs.c, src/c64dtv/Makefile.am,
	src/c64dtv/c64dtv.c, src/c64dtv/c64dtvmem.c, src/cbm2/Makefile.am,
	src/cbm2/cbm2datasette.c, src/cbm2/cbm2tpi1.c, src/datasette.c,
	src/datasette.h, src/pet/Makefile.am, src/pet/petdatasette.c,
	src/pet/petpia1.c, src/pet/petvia.c, src/plus4/Makefile.am,
	src/plus4/plus4datasette.c, src/plus4/plus4mem.c, src/rtc/ds1307.c,
	src/scpu64/Makefile.am, src/scpu64/scpu64stubs.c, src/tapeport,
	src/tapeport/Makefile.am, src/tapeport/tapeport.c,
	src/tapeport/tapeport.h, src/translate.txt, src/translate_text.c,
	src/vic20/Makefile.am, src/vic20/vic20datasette.c,
	src/vic20/vic20via1.c, src/vic20/vic20via2.c: Added a tapeport system
	to take care of devices on the 'tape port', only device supported
	currently is the datasette, but now it's able to be
	disabled/unplugged, the system takes care of pass-through tape devices
	automatically.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/petui.c: Fixed typo.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/petui.c: Fixed.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_datasette.cc: Fixed size and position.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/uiprinterieee.c,
	src/arch/unix/gui/uiprinterieee.h: Fixed for xcbm5x0 userport printer.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/cbm2ui.c: Fixed for xcbm5x0 userport elements.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/scpu64/scpu64.c: Added missing userport sampler inits.

2016-03-02  groepaz <groepaz@gmx.net>

	* src/c64/c64rom.c: KernalRev is not available for DTV

2016-03-02  groepaz <groepaz@gmx.net>

	* src/c64dtv/c64dtvmem.c: hide debug output

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_datasette.cc: Added missing include.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_datasette.cc: Added missing include.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_datasette.cc, src/arch/beos/ui_datasette.h: Added
	tape wobble to the beos gui.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_vicii.cc, src/arch/beos/ui_vicii.h: Added vsp bug
	item to the x64sc beos gui.

2016-03-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/rrnetmk3.c: Disable rrnet mk3 debug.

2016-03-02  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/sdl/archdep_beos.h: Added missing defines for default RS232
	devices.

2016-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/petui.cc: Fixed too.

2016-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/cbm2ui.cc: Fixed.

2016-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv: Added a missing svn ignore.

2016-03-01  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64cartmem.c, src/c64/cart/retroreplay.c,
	src/c64/cart/retroreplay.h: fix mapping issues also for nordic replay

2016-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia1.c, src/c64/c64cia2.c, src/c64/c64iec.c,
	src/c64/c64iec.h, src/c64/c64model.c, src/c64/c64scmodel.c: Added the
	ability to completely disable all iec i/o, which makes the c64 models
	that don't have an iec port behave correctly (where the iec port is
	concerned), how gui's handle menu items when switching machine types
	still needs some thought.

2016-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/retroreplay.c: Some warning fixes.

2016-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia1.c, src/c64/c64keyboard.c, src/c64/c64keyboard.h,
	src/c64/c64model.c, src/c64/c64scmodel.c: Added the ability to
	completely disable all keyboard i/o, which makes the c64 models that
	don't have a keyboard behave correctly (where the keyboard is
	concerned), how gui's handle menu items when switching machine types
	still needs some thought.

2016-03-01  groepaz <groepaz@gmx.net>

	* src/c64/cart/retroreplay.c: fix retroreplay mapping according to
	tlrs test program, should finally fix bug #720 and #721

2016-03-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64model.c, src/c64/c64scmodel.c, src/userport/userport.c,
	src/userport/userport.h: Added the ability to completely disable all
	userport i/o, which makes the c64 models that don't have a userport
	behave correctly (where the userport is concerned), how gui's handle
	menu items when switching machine types still needs some thought.

2016-02-29  groepaz <groepaz@gmx.net>

	* src/c64/cart/retroreplay.c: improve mapping in frozen state, should
	fix bug #720

2016-02-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/c64cart.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/c64cart.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/c64cart.tmpl,
	src/arch/win32/watcom/c64cart.tgt, src/arch/win32/watcom/vice.wpj,
	src/c64/cart/Makefile.am, src/c64/cart/c64carthooks.c,
	src/c64/cart/digimax.h, src/c64/cart/ide64.c, src/c64/cart/ide64.h,
	src/c64/cart/shortbus.c, src/c64/cart/shortbus.h,
	src/c64/cart/shortbus_digimax.c, src/c64/cart/shortbus_digimax.h,
	src/digimaxcore.c, src/translate.txt, src/translate_text.c,
	src/userport/userport_digimax.h: Added ide64 shortbus system and
	shortbus digimax device support, no gui changes yet.

2016-02-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/constants.txt, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc: Added ds12c887
	running mode item to the beos gui.

2016-02-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/genwt.bat, src/arch/os2/watcom/genwt.cmd: Fixed.

2016-02-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Remove vac++ items from configure as well.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/cbm2.tgt, src/arch/os2/watcom/cbm2common.tgt,
	src/arch/os2/watcom/cbm5x0.tgt, src/arch/os2/watcom/printerdrv.tgt,
	src/arch/os2/watcom/vice.wpj: Updated os/2 ow project files.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dialogs.h, src/arch/os2/dialogs/dialogs.rc,
	src/arch/os2/dialogs/dlg-fileio.rc,
	src/arch/os2/dialogs/dlg-monitor.rc, src/arch/os2/dialogs/menubar.c,
	src/arch/os2/dialogs/menubar.rc: Reverted the previous vac++ os/2
	dialog fixes.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/Makefile.am, src/arch/os2/vac++: Removed os/2 vac++
	directory, not worth the trouble of updating it for a proprietary
	compiler when a more modern free compiler can do the job.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/cbm2.tgt,
	src/arch/sdl/win32-watcom/cbm2common.tgt,
	src/arch/sdl/win32-watcom/cbm5x0.tgt,
	src/arch/sdl/win32-watcom/printerdrv.tgt,
	src/arch/sdl/win32-watcom/userport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj: Updated sdl ow project files.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/cartconv.tgt,
	src/arch/win32/watcom/cbm2.tgt, src/arch/win32/watcom/cbm2common.tgt,
	src/arch/win32/watcom/cbm5x0.tgt,
	src/arch/win32/watcom/printerdrv.tgt,
	src/arch/win32/watcom/userport.tgt, src/arch/win32/watcom/vice.wpj:
	Updated windows ow project files.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/cbm2.tmpl,
	src/arch/win32/vs_tmpl/cbm2common.tmpl,
	src/arch/win32/vs_tmpl/cbm5x0.tmpl,
	src/arch/win32/vs_tmpl/printerdrv.tmpl: Updated msvc project file
	templates.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64/c64cia2.c,
	src/c64/c64printer.c, src/cbm2/Makefile.am, src/cbm2/cbm2.c,
	src/cbm2/cbm2cia1.c, src/cbm2/cbm2printer.c, src/cbm2/cbm5x0cia1.c,
	src/cbm2/cbm5x0printer.c, src/pet/pet.c, src/pet/petprinter.c,
	src/pet/petvia.c, src/plus4/plus4.c, src/printer.h,
	src/printerdrv/Makefile.am, src/printerdrv/interface-userport.c,
	src/printerdrv/interface-userport.h,
	src/printerdrv/printer-userport.c, src/scpu64/scpu64.c,
	src/translate.txt, src/translate_text.c, src/userport/userport.c,
	src/userport/userport.h, src/userport/userport_4bit_sampler.c,
	src/userport/userport_8bss.c, src/userport/userport_dac.c,
	src/userport/userport_digimax.c, src/userport/userport_joystick.c,
	src/userport/userport_rtc_58321a.c,
	src/userport/userport_rtc_ds1307.c, src/vic20/vic20.c,
	src/vic20/vic20printer.c, src/vic20/vic20via2.c: Transitioned
	userport printer code to use the generic userport routines, added a
	generic userport flag set routine and added userport pa2 setting code
	to pet and vic20.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uirrnetmk3.c: Removed unused variable.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am: Fixed windows rrnet mk3 dialog.

2016-02-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/ko.po, po/translations-status.txt: Updated.

2016-02-26  groepaz <groepaz@gmx.net>

	* doc/resource-and-cmdline-checking.txt, po/nl.po, po/pl.po, po/sv.po,
	src/arch/beos/vicemenu.cc, src/arch/msdos/uic64model.c,
	src/arch/msdos/uiciamodel.c, src/arch/msdos/uiscpu64model.c,
	src/arch/os2/dialogs/menubar.rc, src/arch/sdl/menu_c128hw.c,
	src/arch/sdl/menu_c64model.c, src/arch/sdl/menu_cbm2hw.c,
	src/arch/unix/gui/c128ui.c, src/arch/unix/gui/cbm2ui.c,
	src/arch/unix/macosx/Resources/English.lproj/ResourceTree.plist,
	src/c128/c128-resources.c: renamed some forgotten '6526A' to '6526'.
	the A suffix is (only) used to refer to the 2Mhz version of the chip,
	and it has no relation to the old/new interrupt timing behaviour as it
	was commonly (and wrongly) assumed once in the past.

2016-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po: Did a
	'make update-po'.

2016-02-25  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/os2/kbd.h, src/keyboard.h: Moved OS/2-specific prototypes
	into arch/os2/kbd.h.

2016-02-25  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/sdl/archdep_amiga.c, src/arch/sdl/archdep_beos.c,
	src/arch/sdl/archdep_cegcc.c, src/arch/sdl/archdep_dingoo.c,
	src/arch/sdl/archdep_xbox.c: Added long-missing includes of
	keyboard.h. Now we know which SDL ports haven't been built recently.

2016-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64ui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resdialogs.txt, src/arch/win32/resmenu.txt,
	src/arch/win32/resrrnetmk3.rc, src/arch/win32/resscpu64.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/scpu64ui.c,
	src/arch/win32/uirrnetmk3.c, src/arch/win32/uirrnetmk3.h,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj:
	Added rrnet mk3 dialog to the windows gui.

2016-02-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/petui.c, src/arch/win32/plus4ui.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/resdialogs.txt, src/arch/win32/resmenu.txt,
	src/arch/win32/respet.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/resscpu64.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/resuserportrtc58321a.rc,
	src/arch/win32/resuserportrtcds1307.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/scpu64ui.c, src/arch/win32/uiuserportrtc58321a.c,
	src/arch/win32/uiuserportrtcds1307.c,
	src/arch/win32/uiuserportrtcds1307.h, src/arch/win32/vic20ui.c,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xpet.tmpl, src/arch/win32/vs_tmpl/xscpu64.tmpl,
	src/arch/win32/vs_tmpl/xvic.tmpl, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj:
	Added all userport devices to the windows gui.

2016-02-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uidigimax.c: Removed userport choice from the windows
	digimax cart dialog.

2016-02-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c128ui.c, src/arch/win32/c64ui.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resmenu.txt,
	src/arch/win32/resscpu64.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/scpu64ui.c: Added SS5 32K RAM expansion item to the
	windows gui.

2016-02-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resdrivec128.rc, src/arch/win32/resdrivec64.rc,
	src/arch/win32/resdrivepetcbm2.rc, src/arch/win32/resdriveplus4.rc,
	src/arch/win32/resdrivevic20.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/uidrivec128.c, src/arch/win32/uidrivec64.c,
	src/arch/win32/uidrivec64dtv.c, src/arch/win32/uidrivepetcbm2.c,
	src/arch/win32/uidriveplus4.c, src/arch/win32/uidrivevic20.c: Added
	drive rpm and wobble dialog items to the windows gui.

2016-02-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resdialogs.txt, src/arch/win32/reseasyflash.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/uieasyflash.c: Added
	'easyflash crt optimize' toggle to the windows gui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/scpu64ui.c,
	src/arch/msdos/uirrnetmk3.c, src/arch/msdos/uirrnetmk3.h: Added rrnet
	mk3 menu to the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/scpu64ui.c: Forgot scpu64 for dos userport updates.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uidigimax.c: Removed userport item from the digimax
	cart menu in the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c,
	src/arch/msdos/petui.c, src/arch/msdos/plus4ui.c,
	src/arch/msdos/uiuserport.c, src/arch/msdos/uiuserport.h,
	src/arch/msdos/vic20ui.c: Added all userport devices to the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/scpu64ui.c,
	src/arch/msdos/uiss5.c, src/arch/msdos/uiss5.h: Added SS5 settings
	menu to the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c128ui.c, src/arch/msdos/c64ui.c,
	src/arch/msdos/scpu64ui.c: Fixed the retroreplay menu in the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uidrivec128.c, src/arch/msdos/uidrivec64.c,
	src/arch/msdos/uidrivec64dtv.c, src/arch/msdos/uidriveieee.c,
	src/arch/msdos/uidriveplus4.c, src/arch/msdos/uidrivevic20.c: Added
	drive rpm and wobble menus to the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/uiide64.c: Fixed the
	ide64 version menu for the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uieasyflash.c: Added 'easyflash crt optimize' toggle
	to the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/plus4ui.c,
	src/arch/msdos/uiplus4memoryhacks.c,
	src/arch/msdos/uiplus4memoryhacks.h: Added 'plus4 memory hacks' menu
	to the dos tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/menudefs.c: Added 'random tape wobble' to the dos
	tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c64ui.c, src/arch/msdos/uivideo.c,
	src/arch/msdos/uivideo.h: Added 'VSP bug' item to the dos c64sc tui.

2016-02-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uic64cart.c: Made the dos c64 cart menus dynamically
	generated.

2016-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/menudefs.c: Added compile features listing to the dos
	tui.

2016-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uids12c887rtc.c: Added ds12c887 running mode item to
	the dos tui.

2016-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/vsidstubs.c: Fixed for dos.

2016-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uidigimax.c: Removed the userport option from the
	*nix digimax cart menu.

2016-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/plus4ui.c, src/arch/unix/gui/uiuserport.c: Added
	all userport devices to the unix gui.

2016-02-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* AUTHORS, man/vice.1, src/arch/unix/gui/uiuserport.c,
	src/arch/unix/gui/vic20ui.c: Fixed.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/Makefile.am, src/arch/unix/gui/c128ui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/scpu64ui.c, src/arch/unix/gui/uiuserport.c,
	src/arch/unix/gui/uiuserport.h,
	src/arch/unix/gui/uiuserportrtc58321a.c,
	src/arch/unix/gui/uiuserportrtc58321a.h: Renamed uiuserportrtc58321a.*
	to uiuserport.* in the *nix gui, to turn it into a userport devices
	menu instead, the other devices will be added in due time.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64cart.c: Added rrnet mk3 menu to the sdl gui.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_pethw.c,
	src/arch/sdl/menu_plus4hw.c, src/arch/sdl/menu_scpu64hw.c,
	src/arch/sdl/menu_vic20hw.c: Made a 'userport devices' submenu for the
	sdl gui.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_pethw.c,
	src/arch/sdl/menu_vic20hw.c: Added userport DS1307 RTC gui elements
	for the sdl gui.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c: Added userport 8bit stereo sampler gui
	elements for the sdl gui.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c: Added userport 4bit sampler gui elements
	for the sdl gui.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c,
	src/arch/sdl/menu_c64_common_expansions.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c: Added userport digimax gui elements for
	the sdl gui.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_pethw.c,
	src/arch/sdl/menu_plus4hw.c, src/arch/sdl/menu_vic20hw.c: Extended
	userport 8bit dac support to c64, c128, cbm2, plus4 and vic20 in the
	sdl gui.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64hw.c: Fixed.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64dtv/c64dtvcia2.c: No userport printer for c64dtv (not enough
	pins).

2016-02-20  Kajtar Zsolt <soci@c64.rulez.org>

	* src/joyport/joyport.c, src/joyport/joyport.h,
	src/joyport/joystick.c, src/joyport/lightpen.c, src/joyport/mouse.c,
	src/joyport/sampler2bit.c, src/joyport/sampler2bit.h,
	src/joyport/sampler4bit.c, src/joyport/sampler4bit.h: Enable
	Neos/Amiga/ST mouse on ports without POT. These devices use the pot
	lines for middle/right buttons. Sure these buttons won't work but the
	devices are still functional as a mouse with a left button only.

2016-02-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/ports-status.txt: Added a 'ports-status' text file, to be used
	to indicate the status of the various vice ports.

2016-02-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c, src/arch/amigaos/mui/mui.h,
	src/arch/amigaos/mui/uijoyport.c, src/arch/amigaos/mui/uisampler.c,
	src/joyport/joystick.h: Some amigaos4 fixes.

2016-02-19  Marcus Sutton <loggedoubt@gmail.com>

	* src/c64dtv/c64dtvcia1.c, src/c64dtv/hummeradc.c,
	src/joyport/joystick.h, src/keyboard.h: Moved the declaration of
	joystick_value[] into joystick.h.

2016-02-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/make-bindist.sh: Fixed some typos.

2016-02-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf: Updated.

2016-02-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia2.c, src/c64dtv/c64dtvcia2.c, src/cbm2/cbm2cia1.c,
	src/pet/petvia.c, src/plus4/plus4pio1.c, src/userport/userport.c,
	src/userport/userport.h, src/vic20/vic20via2.c: Fixed userport input
	issues, should fix bug #716.

2016-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/translations-status.txt: Updated.

2016-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/archdep.c: Added log1p for amiga os 3.x (configure
	detects the presence because it checks for it with ixemul present, but
	the actual compile uses libnix).

2016-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c1541.c: Got rid of another ctrl-z char.

2016-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* AUTHORS, man/vice.1, src/arch/amigaos/c128ui.c,
	src/arch/amigaos/c64dtvui.c, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm5x0ui.c,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/Makefile.am, src/arch/amigaos/mui/uijoyport.c,
	src/arch/amigaos/mui/uisampler.c, src/arch/amigaos/petui.c,
	src/arch/amigaos/plus4ui.c, src/arch/amigaos/scpu64ui.c,
	src/arch/amigaos/scpu64uires.h, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/os2/dialogs/dialogs.rc,
	src/monitor/mon_parse.c, src/monitor/mon_parse.h: Some amiga fixes.

2016-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c: Added
	missing item.

2016-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_x86_runtime_cpu.c: Removed 'ctrl-z' character
	(how the hell did it get there).

2016-02-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Exclude windows port from TFE libs test.

2016-02-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/Makefile.am, src/arch/os2/vac++/clean.cmd,
	src/arch/os2/vac++/nonx128-proc.c, src/arch/os2/vac++/x64sc-menubar.c:
	Even more vac++ fixes.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dialogs.h, src/arch/os2/dialogs/dialogs.rc,
	src/arch/os2/dialogs/dlg-fileio.rc,
	src/arch/os2/dialogs/dlg-monitor.rc, src/arch/os2/dialogs/menubar.rc,
	src/arch/os2/vac++/VICE.ICC: Some more vac++ fixes.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed order of checking for '--enable-ethernet'.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/rrnetmk3.c: Some warning fixes.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/c64cart.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/c64cart.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/c64cart.tmpl,
	src/arch/win32/watcom/c64cart.tgt, src/arch/win32/watcom/vice.wpj:
	Added rrnet mk3 to the msvc/ow project files.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Error out when '--enable-ethernet' is given but the
	needed libs are not present.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/archdep.c, src/arch/os2/dialogs/menubar.c: vac++ petcat
	fixes.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/archdep.c: vac++ petcat fix.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/Makefile.am,
	src/arch/os2/vac++/geninfocontrib.exe,
	src/arch/os2/vac++/gentranslate.exe: Added geninfocontrib.exe and
	gentranslate.exe for vac++ file generation.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/Makefile.am, src/arch/os2/vac++/PETcat.ICC,
	src/arch/os2/vac++/VICE.ICC, src/arch/os2/vac++/X1541.ICC,
	src/arch/os2/vac++/cartconv.ICC, src/arch/os2/vac++/debug.h,
	src/arch/os2/vac++/geninfo1.icc, src/arch/os2/vac++/geninfo2.icc,
	src/arch/os2/vac++/gentransfiles.icc,
	src/arch/os2/vac++/gentranslate.icc,
	src/arch/os2/vac++/incl/Makefile.am,
	src/arch/os2/vac++/incl/diskimage.icc,
	src/arch/os2/vac++/incl/fileio.icc,
	src/arch/os2/vac++/incl/imagecontents.icc,
	src/arch/os2/vac++/incl/mainsrc.icc, src/arch/os2/vac++/incl/p64.icc,
	src/arch/os2/vac++/incl/platform.icc,
	src/arch/os2/vac++/incl/serial.icc, src/arch/os2/vac++/incl/tape.icc,
	src/arch/os2/vac++/nonx1541-log.c,
	src/arch/os2/vac++/petcat-archdep.c,
	src/arch/os2/vac++/petcat-signals.c,
	src/arch/os2/vac++/x1541-archdep.c,
	src/arch/os2/vac++/x1541-signals.c, src/sid/sid.c: Some more vac++
	fixes.

2016-02-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c1541.c, src/init.c, src/platform/platform_x86_runtime_cpu.c:
	Some vac++ fixes.

2016-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/vac++/incl/Makefile.am,
	src/arch/os2/vac++/incl/archdep.icc, src/arch/os2/vac++/incl/c128.icc,
	src/arch/os2/vac++/incl/c64.icc, src/arch/os2/vac++/incl/c64cart.icc,
	src/arch/os2/vac++/incl/c64commonall.icc,
	src/arch/os2/vac++/incl/c64commonc64sc.icc,
	src/arch/os2/vac++/incl/c64commoncart.icc,
	src/arch/os2/vac++/incl/c64commonsc.icc,
	src/arch/os2/vac++/incl/c64commonsc128.icc,
	src/arch/os2/vac++/incl/c64commonsc128scpu.icc,
	src/arch/os2/vac++/incl/c64commonscdtv128scpu.icc,
	src/arch/os2/vac++/incl/c64commonscdtvscpu.icc,
	src/arch/os2/vac++/incl/c64commonscscpu.icc,
	src/arch/os2/vac++/incl/c64commonscvsid.icc,
	src/arch/os2/vac++/incl/c64commonscvsid128.icc,
	src/arch/os2/vac++/incl/c64commonvsid.icc,
	src/arch/os2/vac++/incl/c64commonvsidsc128scpu.icc,
	src/arch/os2/vac++/incl/c64commonvsidscdtv.icc,
	src/arch/os2/vac++/incl/c64commonvsidscdtvscpu.icc,
	src/arch/os2/vac++/incl/c64commonvsidscpu.icc,
	src/arch/os2/vac++/incl/c64commonvsidscscpu.icc,
	src/arch/os2/vac++/incl/c64dtv.icc, src/arch/os2/vac++/incl/c64sc.icc,
	src/arch/os2/vac++/incl/cbm2.icc,
	src/arch/os2/vac++/incl/cbm2common.icc,
	src/arch/os2/vac++/incl/cbm5x0.icc, src/arch/os2/vac++/incl/core.icc,
	src/arch/os2/vac++/incl/crtc.icc, src/arch/os2/vac++/incl/dialogs.icc,
	src/arch/os2/vac++/incl/diskimage.icc,
	src/arch/os2/vac++/incl/drive.icc, src/arch/os2/vac++/incl/fileio.icc,
	src/arch/os2/vac++/incl/fsdevice.icc,
	src/arch/os2/vac++/incl/gfxoutputdrv.icc,
	src/arch/os2/vac++/incl/iec.icc, src/arch/os2/vac++/incl/iecbus.icc,
	src/arch/os2/vac++/incl/iecc64exp.icc,
	src/arch/os2/vac++/incl/iecieee.icc,
	src/arch/os2/vac++/incl/iecplus4exp.icc,
	src/arch/os2/vac++/incl/ieee.icc,
	src/arch/os2/vac++/incl/imagecontents.icc,
	src/arch/os2/vac++/incl/joyport.icc, src/arch/os2/vac++/incl/kbd.icc,
	src/arch/os2/vac++/incl/mainsrc.icc,
	src/arch/os2/vac++/incl/monitor.icc, src/arch/os2/vac++/incl/p64.icc,
	src/arch/os2/vac++/incl/parallel.icc, src/arch/os2/vac++/incl/pet.icc,
	src/arch/os2/vac++/incl/platform.icc,
	src/arch/os2/vac++/incl/plus4.icc,
	src/arch/os2/vac++/incl/printerdrv.icc,
	src/arch/os2/vac++/incl/raster.icc,
	src/arch/os2/vac++/incl/rs232drv.icc, src/arch/os2/vac++/incl/rtc.icc,
	src/arch/os2/vac++/incl/samplerdrv.icc,
	src/arch/os2/vac++/incl/scpu64.icc,
	src/arch/os2/vac++/incl/serial.icc,
	src/arch/os2/vac++/incl/sounddrv.icc,
	src/arch/os2/vac++/incl/tape.icc,
	src/arch/os2/vac++/incl/userport.icc, src/arch/os2/vac++/incl/vdc.icc,
	src/arch/os2/vac++/incl/vdrive.icc, src/arch/os2/vac++/incl/vic20.icc,
	src/arch/os2/vac++/incl/vic20cart.icc,
	src/arch/os2/vac++/incl/vicii.icc,
	src/arch/os2/vac++/incl/viciicommon.icc,
	src/arch/os2/vac++/incl/viciidtv.icc,
	src/arch/os2/vac++/incl/video.icc,
	src/arch/os2/vac++/incl/vsidlib.icc: Started vac++ project files
	fixing run.

2016-02-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/vsidcia1.c: Removed 'joystick_value' elements from
	vsidcia1.c, no need for joystick support for vsid.

2016-02-12  Marcus Sutton <loggedoubt@gmail.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64/c64keyboard.c,
	src/c64dtv/c64dtv.c, src/cbm2/cbm2.c, src/cbm2/cbm5x0.c,
	src/keyboard.h, src/pet/pet.c, src/plus4/plus4.c, src/scpu64/scpu64.c:
	Removed include of joystick.h from keyboard.h.

2016-02-11  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.texi, doc/vice.txt: updated docs

2016-02-11  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/Makefile.am, src/arch/unix/gui/c128ui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/scpu64ui.c, src/arch/unix/gui/uirrnetmk3.c,
	src/arch/unix/gui/uirrnetmk3.h, src/c64/cart/Makefile.am,
	src/c64/cart/c64cart.c, src/c64/cart/c64carthooks.c,
	src/c64/cart/c64cartmem.c, src/c64/cart/crt.c,
	src/c64/cart/rrnetmk3.c, src/c64/cart/rrnetmk3.h, src/c64/cart/tfe.c,
	src/cartconv.c, src/cartridge.h, src/translate.txt,
	src/translate_text.c, src/vic20/cart/mascuerade-stubs.c: add support
	for rrnet mk3, UIs need updating (see devlog)

2016-02-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/Makefile.am, src/arch/os2/watcom/archdep.tgt,
	src/arch/os2/watcom/c128.tgt, src/arch/os2/watcom/c64.tgt,
	src/arch/os2/watcom/c64cart.tgt, src/arch/os2/watcom/c64commonall.tgt,
	src/arch/os2/watcom/c64commoncart.tgt,
	src/arch/os2/watcom/c64commonsc.tgt,
	src/arch/os2/watcom/c64commonsc128.tgt,
	src/arch/os2/watcom/c64commonsc128scpu.tgt,
	src/arch/os2/watcom/c64commonscdtv128scpu.tgt,
	src/arch/os2/watcom/c64commonscdtvscpu.tgt,
	src/arch/os2/watcom/c64commonscscpu.tgt,
	src/arch/os2/watcom/c64commonscvsid.tgt,
	src/arch/os2/watcom/c64commonscvsid128.tgt,
	src/arch/os2/watcom/c64commonvsid.tgt,
	src/arch/os2/watcom/c64commonvsidsc128scpu.tgt,
	src/arch/os2/watcom/c64commonvsidscdtv.tgt,
	src/arch/os2/watcom/c64commonvsidscdtvscpu.tgt,
	src/arch/os2/watcom/c64commonvsidscpu.tgt,
	src/arch/os2/watcom/c64commonvsidscscpu.tgt,
	src/arch/os2/watcom/c64dtv.tgt, src/arch/os2/watcom/c64sc.tgt,
	src/arch/os2/watcom/cartconv.tgt, src/arch/os2/watcom/cbm2.tgt,
	src/arch/os2/watcom/cbm2common.tgt, src/arch/os2/watcom/cbm5x0.tgt,
	src/arch/os2/watcom/core.tgt, src/arch/os2/watcom/crtc.tgt,
	src/arch/os2/watcom/dialogs.tgt, src/arch/os2/watcom/diskimage.tgt,
	src/arch/os2/watcom/drive.tgt, src/arch/os2/watcom/fileio.tgt,
	src/arch/os2/watcom/fsdevice.tgt, src/arch/os2/watcom/genic.tgt,
	src/arch/os2/watcom/geninfocontrib32.tgt,
	src/arch/os2/watcom/geninfocontribos2.tgt,
	src/arch/os2/watcom/gentr.tgt, src/arch/os2/watcom/gentranslate32.tgt,
	src/arch/os2/watcom/gentranslateos2.tgt,
	src/arch/os2/watcom/gfxoutputdrv.tgt, src/arch/os2/watcom/iec.tgt,
	src/arch/os2/watcom/iecbus.tgt, src/arch/os2/watcom/iecc64exp.tgt,
	src/arch/os2/watcom/iecieee.tgt, src/arch/os2/watcom/iecplus4exp.tgt,
	src/arch/os2/watcom/ieee.tgt, src/arch/os2/watcom/imagecontents.tgt,
	src/arch/os2/watcom/joyport.tgt, src/arch/os2/watcom/kbd.tgt,
	src/arch/os2/watcom/mainsrc.tgt, src/arch/os2/watcom/monitor.tgt,
	src/arch/os2/watcom/nonresid-specific.tgt,
	src/arch/os2/watcom/nonvic1or2-specific.tgt,
	src/arch/os2/watcom/nonx128-specific.tgt,
	src/arch/os2/watcom/nonx1541-specific.tgt,
	src/arch/os2/watcom/nonx64-specific.tgt, src/arch/os2/watcom/p64.tgt,
	src/arch/os2/watcom/parallel.tgt, src/arch/os2/watcom/pet.tgt,
	src/arch/os2/watcom/petcat-specific.tgt,
	src/arch/os2/watcom/petcat.tgt, src/arch/os2/watcom/platform.tgt,
	src/arch/os2/watcom/plus4.tgt, src/arch/os2/watcom/printerdrv.tgt,
	src/arch/os2/watcom/raster.tgt,
	src/arch/os2/watcom/resid-specific.tgt, src/arch/os2/watcom/resid.tgt,
	src/arch/os2/watcom/rs232drv.tgt, src/arch/os2/watcom/rtc.tgt,
	src/arch/os2/watcom/samplerdrv.tgt, src/arch/os2/watcom/scpu64.tgt,
	src/arch/os2/watcom/serial.tgt, src/arch/os2/watcom/sounddrv.tgt,
	src/arch/os2/watcom/tape.tgt, src/arch/os2/watcom/tcbm.tgt,
	src/arch/os2/watcom/userport.tgt, src/arch/os2/watcom/vdc.tgt,
	src/arch/os2/watcom/vdrive.tgt, src/arch/os2/watcom/vic20.tgt,
	src/arch/os2/watcom/vic20cart.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/vicii.tgt, src/arch/os2/watcom/viciicommon.tgt,
	src/arch/os2/watcom/viciidtv.tgt, src/arch/os2/watcom/viciisc.tgt,
	src/arch/os2/watcom/video.tgt, src/arch/os2/watcom/vsid.tgt,
	src/arch/os2/watcom/vsidlib.tgt,
	src/arch/os2/watcom/x128-specific.tgt, src/arch/os2/watcom/x128.tgt,
	src/arch/os2/watcom/x1541-specific.tgt, src/arch/os2/watcom/x1541.tgt,
	src/arch/os2/watcom/x64-specific.tgt, src/arch/os2/watcom/x64.tgt,
	src/arch/os2/watcom/x64dtv-specific.tgt,
	src/arch/os2/watcom/x64dtv.tgt, src/arch/os2/watcom/x64sc.tgt,
	src/arch/os2/watcom/x64x128-specific.tgt,
	src/arch/os2/watcom/xall-specific.tgt,
	src/arch/os2/watcom/xcbm2-specific.tgt, src/arch/os2/watcom/xcbm2.tgt,
	src/arch/os2/watcom/xcbm5x0.tgt,
	src/arch/os2/watcom/xpet-specific.tgt, src/arch/os2/watcom/xpet.tgt,
	src/arch/os2/watcom/xplus4-specific.tgt,
	src/arch/os2/watcom/xplus4.tgt,
	src/arch/os2/watcom/xscpu64-specific.tgt,
	src/arch/os2/watcom/xscpu64.tgt,
	src/arch/os2/watcom/xvic-specific.tgt, src/arch/os2/watcom/xvic.tgt:
	Split off rtc from mainsrc in the os/2 ow project files.

2016-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/cbm2ui.c: Fixed typo.

2016-02-09  groepaz <groepaz@gmx.net>

	* src/c64/cart/final3.c, src/c64/cart/mmc64.c,
	src/c64/cart/mmcreplay.c, src/c64/cart/retroreplay.c,
	src/c64/cart/tfe.c, src/core/cs8900.c, src/core/cs8900.h: some
	clockport/rr-net related fixes

2016-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/watcom/archdep.tgt,
	src/arch/os2/watcom/c128.tgt, src/arch/os2/watcom/c64.tgt,
	src/arch/os2/watcom/c64cart.tgt, src/arch/os2/watcom/c64commonall.tgt,
	src/arch/os2/watcom/c64commoncart.tgt,
	src/arch/os2/watcom/c64commonsc.tgt,
	src/arch/os2/watcom/c64commonsc128.tgt,
	src/arch/os2/watcom/c64commonsc128scpu.tgt,
	src/arch/os2/watcom/c64commonscdtv128scpu.tgt,
	src/arch/os2/watcom/c64commonscdtvscpu.tgt,
	src/arch/os2/watcom/c64commonscscpu.tgt,
	src/arch/os2/watcom/c64commonscvsid.tgt,
	src/arch/os2/watcom/c64commonscvsid128.tgt,
	src/arch/os2/watcom/c64commonvsid.tgt,
	src/arch/os2/watcom/c64commonvsidsc128scpu.tgt,
	src/arch/os2/watcom/c64commonvsidscdtv.tgt,
	src/arch/os2/watcom/c64commonvsidscdtvscpu.tgt,
	src/arch/os2/watcom/c64commonvsidscpu.tgt,
	src/arch/os2/watcom/c64commonvsidscscpu.tgt,
	src/arch/os2/watcom/c64dtv.tgt, src/arch/os2/watcom/c64sc.tgt,
	src/arch/os2/watcom/cartconv.tgt, src/arch/os2/watcom/cbm2.tgt,
	src/arch/os2/watcom/cbm2common.tgt, src/arch/os2/watcom/cbm5x0.tgt,
	src/arch/os2/watcom/core.tgt, src/arch/os2/watcom/crtc.tgt,
	src/arch/os2/watcom/dialogs.tgt, src/arch/os2/watcom/diskimage.tgt,
	src/arch/os2/watcom/drive.tgt, src/arch/os2/watcom/fileio.tgt,
	src/arch/os2/watcom/fsdevice.tgt, src/arch/os2/watcom/genic.tgt,
	src/arch/os2/watcom/geninfocontrib32.tgt,
	src/arch/os2/watcom/geninfocontribos2.tgt,
	src/arch/os2/watcom/gentr.tgt, src/arch/os2/watcom/gentranslate32.tgt,
	src/arch/os2/watcom/gentranslateos2.tgt,
	src/arch/os2/watcom/gfxoutputdrv.tgt, src/arch/os2/watcom/iec.tgt,
	src/arch/os2/watcom/iecbus.tgt, src/arch/os2/watcom/iecc64exp.tgt,
	src/arch/os2/watcom/iecieee.tgt, src/arch/os2/watcom/iecplus4exp.tgt,
	src/arch/os2/watcom/ieee.tgt, src/arch/os2/watcom/imagecontents.tgt,
	src/arch/os2/watcom/joyport.tgt, src/arch/os2/watcom/kbd.tgt,
	src/arch/os2/watcom/mainsrc.tgt, src/arch/os2/watcom/monitor.tgt,
	src/arch/os2/watcom/nonresid-specific.tgt,
	src/arch/os2/watcom/nonvic1or2-specific.tgt,
	src/arch/os2/watcom/nonx128-specific.tgt,
	src/arch/os2/watcom/nonx1541-specific.tgt,
	src/arch/os2/watcom/nonx64-specific.tgt, src/arch/os2/watcom/p64.tgt,
	src/arch/os2/watcom/parallel.tgt, src/arch/os2/watcom/pet.tgt,
	src/arch/os2/watcom/petcat-specific.tgt,
	src/arch/os2/watcom/petcat.tgt, src/arch/os2/watcom/platform.tgt,
	src/arch/os2/watcom/plus4.tgt, src/arch/os2/watcom/printerdrv.tgt,
	src/arch/os2/watcom/raster.tgt,
	src/arch/os2/watcom/resid-specific.tgt, src/arch/os2/watcom/resid.tgt,
	src/arch/os2/watcom/rs232drv.tgt, src/arch/os2/watcom/samplerdrv.tgt,
	src/arch/os2/watcom/scpu64.tgt, src/arch/os2/watcom/serial.tgt,
	src/arch/os2/watcom/sounddrv.tgt, src/arch/os2/watcom/tape.tgt,
	src/arch/os2/watcom/tcbm.tgt, src/arch/os2/watcom/userport.tgt,
	src/arch/os2/watcom/vdc.tgt, src/arch/os2/watcom/vdrive.tgt,
	src/arch/os2/watcom/vic20.tgt, src/arch/os2/watcom/vic20cart.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/vicii.tgt,
	src/arch/os2/watcom/viciicommon.tgt, src/arch/os2/watcom/viciidtv.tgt,
	src/arch/os2/watcom/viciisc.tgt, src/arch/os2/watcom/video.tgt,
	src/arch/os2/watcom/vsid.tgt, src/arch/os2/watcom/vsidlib.tgt,
	src/arch/os2/watcom/x128-specific.tgt, src/arch/os2/watcom/x128.tgt,
	src/arch/os2/watcom/x1541-specific.tgt, src/arch/os2/watcom/x1541.tgt,
	src/arch/os2/watcom/x64-specific.tgt, src/arch/os2/watcom/x64.tgt,
	src/arch/os2/watcom/x64dtv-specific.tgt,
	src/arch/os2/watcom/x64dtv.tgt, src/arch/os2/watcom/x64sc.tgt,
	src/arch/os2/watcom/x64x128-specific.tgt,
	src/arch/os2/watcom/xall-specific.tgt,
	src/arch/os2/watcom/xcbm2-specific.tgt, src/arch/os2/watcom/xcbm2.tgt,
	src/arch/os2/watcom/xcbm5x0.tgt,
	src/arch/os2/watcom/xpet-specific.tgt, src/arch/os2/watcom/xpet.tgt,
	src/arch/os2/watcom/xplus4-specific.tgt,
	src/arch/os2/watcom/xplus4.tgt,
	src/arch/os2/watcom/xscpu64-specific.tgt,
	src/arch/os2/watcom/xscpu64.tgt,
	src/arch/os2/watcom/xvic-specific.tgt, src/arch/os2/watcom/xvic.tgt:
	Fixed.

2016-02-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/amigaos/c128ui.c,
	src/arch/amigaos/c128uires.h, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/c64uires.h, src/arch/amigaos/cbm2ui.c,
	src/arch/amigaos/cbm2uires.h, src/arch/amigaos/intl.txt,
	src/arch/amigaos/intl_text.c, src/arch/amigaos/petui.c,
	src/arch/amigaos/petuires.h, src/arch/amigaos/scpu64ui.c,
	src/arch/amigaos/scpu64uires.h, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h,
	src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/cbm2ui.cc, src/arch/beos/constants.txt,
	src/arch/beos/petui.cc, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc,
	src/arch/msdos/c128ui.c, src/arch/msdos/c64ui.c,
	src/arch/msdos/cbm2ui.c, src/arch/msdos/petui.c,
	src/arch/msdos/scpu64ui.c, src/arch/msdos/vic20ui.c,
	src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.h,
	src/arch/os2/dialogs/menubar.rc, src/arch/os2/watcom/userport.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/sdl/menu_c128hw.c,
	src/arch/sdl/menu_c64hw.c, src/arch/sdl/menu_cbm2hw.c,
	src/arch/sdl/menu_pethw.c, src/arch/sdl/menu_scpu64hw.c,
	src/arch/sdl/menu_vic20hw.c, src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/unix/gui/Makefile.am, src/arch/unix/gui/c128ui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/scpu64ui.c, src/arch/unix/gui/uiuserportrtc.c,
	src/arch/unix/gui/uiuserportrtc.h,
	src/arch/unix/gui/uiuserportrtc58321a.c,
	src/arch/unix/gui/uiuserportrtc58321a.h, src/arch/unix/gui/vic20ui.c,
	src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/petui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/rescbm2.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resmenu.txt, src/arch/win32/respet.rc,
	src/arch/win32/resscpu64.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/resuserportrtc.rc,
	src/arch/win32/resuserportrtc58321a.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/scpu64ui.c, src/arch/win32/uiuserportrtc.c,
	src/arch/win32/uiuserportrtc.h, src/arch/win32/uiuserportrtc58321a.c,
	src/arch/win32/uiuserportrtc58321a.h, src/arch/win32/vic20ui.c,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/userport.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xpet.tmpl, src/arch/win32/vs_tmpl/xscpu64.tmpl,
	src/arch/win32/vs_tmpl/xvic.tmpl, src/arch/win32/watcom/cartconv.tgt,
	src/arch/win32/watcom/userport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm2.c, src/pet/pet.c,
	src/rtc/ds1307.c, src/scpu64/scpu64.c, src/translate.txt,
	src/translate_text.c, src/userport/Makefile.am,
	src/userport/userport_rtc_58321a.c,
	src/userport/userport_rtc_ds1307.c,
	src/userport/userport_rtc_ds1307.h, src/vic20/vic20.c: Renamed 58321a
	userport rtc resources and command line options, and implemented
	ds1307 userport rtc device emulation.

2016-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport_rtc_58321a.h: Cosmetic fix.

2016-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/userport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/userport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/userport.tmpl,
	src/arch/win32/watcom/userport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm2.c, src/pet/pet.c,
	src/scpu64/scpu64.c, src/userport/Makefile.am,
	src/userport/userport_rtc.c, src/userport/userport_rtc.h,
	src/userport/userport_rtc_58321a.c,
	src/userport/userport_rtc_58321a.h, src/vic20/vic20.c: Renamed
	'userport_rtc' to 'userport_rtc_58321a' because of the upcoming
	userport ds1307 rtc.

2016-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/mainsrc.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/rtc.tgt, src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/rtc.tmpl, src/arch/win32/watcom/rtc.tgt,
	src/arch/win32/watcom/vice.wpj, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h, src/rtc/Makefile.am, src/rtc/ds1307.c,
	src/rtc/ds1307.h: Added ds1307 rtc core.

2016-02-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vsyncarch.c: Dynload 'SendInput'.

2016-02-08  groepaz <groepaz@gmx.net>

	* doc/resource-and-cmdline-checking.txt, src/datasette.c: set
	DatasetteSpeedTuning to 0 by default (why was it 1 in the first
	place?)

2016-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs_tmpl/mkmsvc.exe:
	Fixed msvc14 project file header generation.

2016-02-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs_tmpl/mkmsvc.exe:
	Fixed for msvc14.

2016-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs_tmpl/mkmsvc.exe:
	Some more include fixes.

2016-02-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs_tmpl/mkmsvc.exe:
	Fixed for msvc8.

2016-02-06  pottendo  <pottendo@aon.at>

	* po/de.po: Summary: Updated.

2016-02-05  groepaz <groepaz@gmx.net>

	* src/c64/cart/sfx_soundexpander.c: added note on the weird wiring of
	the passthrough port

2016-02-04  groepaz <groepaz@gmx.net>

	* src/c64/cart/Makefile.am: added missing file

2016-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	ChangeLog, build/android/build-android.sh, configure.proto,
	doc/vice.chm, doc/vice.hlp, doc/vice.pdf, po/da.po, po/de.po,
	po/es.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po, po/pl.po,
	po/ru.po, po/sv.po, po/tr.po,
	src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat, src/version.h: VICE 2.4.25

2016-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resjoyport.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/resplus4memoryhacks.rc,
	src/arch/win32/ressampler.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/resvicii.rc, src/translate_text.c: Did a
	'make trans-update'.

2016-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2016-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2016-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/scpu64/scpu64.c: Added userport digimax inits to scpu64.

2016-02-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport.c: Some small improvements.

2016-02-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport.c: Removed unused var.

2016-02-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport_digimax.c, src/userport/userport_joystick.c:
	Removed unused vars.

2016-02-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia2.c, src/userport/userport.c, src/userport/userport.h:
	Fixed userport pa2/pa3 reads.

2016-01-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/userport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/userport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/userport.tmpl,
	src/arch/win32/watcom/userport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm2.c, src/translate.txt,
	src/translate_text.c, src/userport/Makefile.am,
	src/userport/userport_4bit_sampler.c, src/userport/userport_8bss.c,
	src/userport/userport_8bss.h: Added 8bit stereo userport sampler
	(8bss) emulation for c64, c128 and cbm2.

2016-01-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/userport.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/sdl/win32-watcom/userport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/userport.tmpl,
	src/arch/win32/watcom/userport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm2.c, src/translate.txt,
	src/translate_text.c, src/userport/Makefile.am,
	src/userport/userport_4bit_sampler.c,
	src/userport/userport_4bit_sampler.h: Added 4bit userport sampler
	emulation for c64, c128 and cbm2.

2016-01-29  groepaz <groepaz@gmx.net>

	* src/vic20/vic-cycle.c, src/vic20/vic-timing.h: fix vertical NTSC
	display area, patch by tokra

2016-01-26  groepaz <groepaz@gmx.net>

	* src/vic20/vic-timing.c, src/vic20/vic-timing.h, src/vic20/vic.c,
	src/vic20/victypes.h: better handling of NTSC screen dimensions, fixes
	bug #689. patch by tokra

2016-01-26  groepaz <groepaz@gmx.net>

	* src/autostart.c: only enable virtual drive traps for t64 images

2016-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/Makefile.am,
	src/arch/os2/watcom/makebindist.cmd: Added makebindist.cmd for native
	os/2 ow bindist generation.

2016-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/genwt.bat, src/arch/os2/watcom/genwt.cmd: Fixed
	to show what platform files are being generated for.

2016-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/Makefile.am, src/arch/os2/watcom/debug.h: Added
	debug.h to the os/2 ow directory.

2016-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uijoyport.c: Fixed a typo.

2016-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/Makefile.am,
	src/arch/os2/watcom/geninfocontribos2.tgt,
	src/arch/os2/watcom/gentranslateos2.tgt,
	src/arch/os2/watcom/genwt.cmd, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/xall-specific.tgt,
	src/arch/watcom-source-wrappers/Makefile.am,
	src/arch/watcom-source-wrappers/geninfocontribos2.c,
	src/arch/watcom-source-wrappers/gentranslateos2.c: Attempt to fix os2
	native ow compile.

2016-01-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia2.c, src/userport/userport.c, src/userport/userport.h:
	Retain original sdr value when no new valid values are being read,
	fixes bug #711.

2016-01-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/Makefile.am,
	src/arch/os2/watcom/c64commonsc.tgt,
	src/arch/os2/watcom/c64commonsc128.tgt,
	src/arch/os2/watcom/c64commonsc128scpu.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/x128.tgt,
	src/arch/os2/watcom/x64.tgt, src/arch/os2/watcom/x64sc.tgt,
	src/arch/os2/watcom/xscpu64.tgt: Finished fixing the os/2 ow project
	files.

2016-01-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c,
	src/arch/os2/watcom/c64commonscvsid128.tgt,
	src/arch/os2/watcom/c64commonvsidsc128scpu.tgt,
	src/arch/os2/watcom/c64commonvsidscscpu.tgt,
	src/arch/os2/watcom/c64sc.tgt, src/arch/os2/watcom/cbm2.tgt,
	src/arch/os2/watcom/cbm2common.tgt, src/arch/os2/watcom/cbm5x0.tgt,
	src/arch/os2/watcom/pet.tgt, src/arch/os2/watcom/plus4.tgt,
	src/arch/os2/watcom/vic20cart.tgt, src/arch/os2/watcom/vice.wpj,
	src/arch/os2/watcom/video.tgt, src/arch/os2/watcom/vsid.tgt,
	src/arch/os2/watcom/vsidlib.tgt, src/arch/os2/watcom/x128.tgt,
	src/arch/os2/watcom/x64dtv.tgt, src/arch/os2/watcom/x64sc.tgt,
	src/arch/os2/watcom/xcbm2.tgt, src/arch/os2/watcom/xcbm5x0.tgt,
	src/arch/os2/watcom/xpet.tgt, src/arch/os2/watcom/xplus4.tgt,
	src/arch/os2/watcom/xvic.tgt: Some more os/2 ow fixes.

2016-01-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/watcom/Makefile.am, src/arch/os2/watcom/c64cart.tgt,
	src/arch/os2/watcom/c64commonsc.tgt,
	src/arch/os2/watcom/c64commonsc128scpu.tgt,
	src/arch/os2/watcom/genwt.bat, src/arch/os2/watcom/gfxoutputdrv.tgt,
	src/arch/os2/watcom/joyport.tgt, src/arch/os2/watcom/mainsrc.tgt,
	src/arch/os2/watcom/samplerdrv.tgt, src/arch/os2/watcom/userport.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/x1541.tgt,
	src/arch/os2/watcom/x64.tgt, src/digimaxcore.c, src/init.c,
	src/sounddrv/sounddart.c: Some more os/2 ow fixes.

2016-01-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/dlg-drive.c,
	src/arch/os2/dialogs/dlg-monitor.c, src/arch/os2/dialogs/menubar.c,
	src/arch/os2/watcom/archdep.tgt, src/arch/os2/watcom/c128.tgt,
	src/arch/os2/watcom/c64commonall.tgt,
	src/arch/os2/watcom/c64commoncart.tgt,
	src/arch/os2/watcom/c64commonsc.tgt,
	src/arch/os2/watcom/c64commonscscpu.tgt,
	src/arch/os2/watcom/c64dtv.tgt, src/arch/os2/watcom/cbm2.tgt,
	src/arch/os2/watcom/cbm2common.tgt, src/arch/os2/watcom/cbm5x0.tgt,
	src/arch/os2/watcom/mainsrc.tgt,
	src/arch/os2/watcom/nonresid-specific.tgt,
	src/arch/os2/watcom/nonvic1or2-specific.tgt,
	src/arch/os2/watcom/nonx128-specific.tgt, src/arch/os2/watcom/pet.tgt,
	src/arch/os2/watcom/plus4.tgt, src/arch/os2/watcom/scpu64.tgt,
	src/arch/os2/watcom/userport.tgt, src/arch/os2/watcom/vic20.tgt,
	src/arch/os2/watcom/vice.wpj, src/arch/os2/watcom/vsidlib.tgt,
	src/arch/os2/watcom/x128-specific.tgt,
	src/arch/os2/watcom/x64-specific.tgt, src/arch/os2/watcom/x64.tgt,
	src/arch/os2/watcom/x64dtv-specific.tgt,
	src/arch/os2/watcom/x64x128-specific.tgt,
	src/arch/os2/watcom/xcbm2-specific.tgt,
	src/arch/os2/watcom/xscpu64-specific.tgt,
	src/arch/os2/watcom/xvic-specific.tgt: Start of fixing the os/2 build.

2016-01-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/c128/c128.c, src/c64/c64.c, src/c64/c64cia2.c,
	src/c64/cart/digimax.c, src/c64/cart/digimax.h, src/cbm2/cbm2.c,
	src/cbm2/cbm2cia1.c, src/digimaxcore.c, src/translate.txt,
	src/translate_text.c, src/userport/userport_digimax.c,
	src/userport/userport_digimax.h: Transitioned the userport digimax
	device to the new userport system, also seperated the digimax cart
	code from the digimax userport device.

2016-01-22  groepaz <groepaz@gmx.net>

	* data/PET/Makefile.am, data/PET/win_sym.vkm: copied win_sym_uk.vkm to
	win_sym.vkm. fixes bug #667

2016-01-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport.c, src/userport/userport.h,
	src/userport/userport_dac.c, src/userport/userport_joystick.c,
	src/userport/userport_rtc.c: Changed the pc-pin element to be an
	indicator instead of a function for the new userport system.

2016-01-20  groepaz <groepaz@gmx.net>

	* src/autostart-prg.c, src/autostart.c: use basic start address when
	autostarting prg files and -basicload is used, fixes bug #708

2016-01-20  groepaz <groepaz@gmx.net>

	* src/gfxoutputdrv/ffmpegdrv.c, src/main.c: kludges to prevent crash
	at startup when using --help and VICE is configured for external
	ffmpeg. fixes bug #709

2016-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/vic20ui.c: Added userport rtc elements for xcbm2,
	xpet and xvic to the unix gui.

2016-01-20  groepaz <groepaz@gmx.net>

	* src/c64/cart/easyflash.c: skip mmu translation when flashrom context
	is not initialized

2016-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_pethw.c,
	src/arch/sdl/menu_vic20hw.c: Added userport rtc elements for xcbm2,
	xpet and xvic to the sdl gui.

2016-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64hw.c: Added missing menu entry.

2016-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/cbm2ui.c, src/arch/msdos/petui.c,
	src/arch/msdos/vic20ui.c: Added userport rtc elements for xcbm2, xpet
	and xvic to the dos tui.

2016-01-20  groepaz <groepaz@gmx.net>

	* src/c64/cart/retroreplay.c: skip mmu translation when flashrom
	context is not initialized, fixes bug #710

2016-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/cbm2ui.cc, src/arch/beos/petui.cc,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc: Added userport
	rtc elements for xcbm2, xpet and xvic to the beos gui.

2016-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/petui.c, src/arch/amigaos/petuires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h: Added
	userport rtc elements for xcbm2, xpet and xvic to the amiga gui.

2016-01-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/cbm2ui.c,
	src/arch/win32/petui.c, src/arch/win32/rescbm2.rc,
	src/arch/win32/respet.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/vic20ui.c, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xpet.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj:
	Added userport rtc elements for xcbm2, xpet and xvic to the windows
	gui.

2016-01-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm2.c, src/pet/pet.c,
	src/pet/petvia.c, src/plus4/plus4.c, src/rtc/rtc-58321a.c,
	src/scpu64/scpu64.c, src/translate.txt, src/translate_text.c,
	src/userport/userport_dac.c, src/userport/userport_dac.h,
	src/vic20/vic20.c: Transitioned the (pet) userport dac emulation to
	the new userport system, and extended it to work on c64, c128, cbm2,
	plus4 and vic20 as well, gui items for those still need to be made.

2016-01-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am: Fixed link issue.

2016-01-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia2.c, src/cbm2/cbm2.c, src/pet/pet.c,
	src/translate.txt, src/translate_text.c, src/userport/userport_rtc.c,
	src/userport/userport_rtc.h, src/vic20/vic20.c: Transitioned the
	userport rtc (58321A) emulation to the new userport system, and
	extended it to work on cbm2, pet and vic20 as well, gui items for
	those still need to be made.

2016-01-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128cia1.c, src/c64/c64cia1.c, src/c64/c64cia2.c,
	src/c64dtv/c64dtvcia2.c, src/cbm2/cbm2cia1.c, src/cbm2/cbm5x0cia1.c,
	src/pet/petvia.c, src/plus4/plus4pio1.c, src/translate.txt,
	src/translate_text.c, src/userport/userport.c,
	src/userport/userport.h, src/userport/userport_joystick.c,
	src/userport/userport_joystick.h, src/vic20/vic20via2.c: Transitioned
	the userport joystick adapters to the new userport system.

2016-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/vic20ui.c: Fixed.

2016-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/cbm2ui.c: Fixed.

2016-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uijoystick2.c: Use plus4 submenu.

2016-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64dtvui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/plus4ui.c, src/arch/unix/gui/scpu64ui.c,
	src/arch/unix/gui/uijoyport.c, src/arch/unix/gui/uijoyport.h,
	src/arch/unix/gui/uijoystick2.c: Added plus4 userport support to the
	unix gui.

2016-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_joyport.c, src/arch/sdl/menu_joyport.h,
	src/arch/sdl/menu_joystick.c, src/arch/sdl/x128_ui.c,
	src/arch/sdl/x64_ui.c, src/arch/sdl/x64dtv_ui.c,
	src/arch/sdl/x64sc_ui.c, src/arch/sdl/xcbm2_ui.c,
	src/arch/sdl/xpet_ui.c, src/arch/sdl/xplus4_ui.c,
	src/arch/sdl/xscpu64_ui.c, src/arch/sdl/xvic_ui.c: Added plus4
	userport support to the sdl gui.

2016-01-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c128ui.c, src/arch/msdos/c64dtvui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c,
	src/arch/msdos/cbm5x0ui.c, src/arch/msdos/menudefs.c,
	src/arch/msdos/petui.c, src/arch/msdos/plus4ui.c,
	src/arch/msdos/scpu64ui.c, src/arch/msdos/uijoyport.c,
	src/arch/msdos/uijoyport.h, src/arch/msdos/vic20ui.c: Added plus4
	userport support to the dos tui.

2016-01-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c64ui.c,
	src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm5x0ui.c,
	src/arch/amigaos/mui/uijoyport.c, src/arch/amigaos/mui/uijoyport.h,
	src/arch/amigaos/petui.c, src/arch/amigaos/plus4ui.c,
	src/arch/amigaos/scpu64ui.c, src/arch/amigaos/vic20ui.c: Added plus4
	userport support to the amiga gui.

2016-01-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/cbm5x0ui.c, src/arch/win32/petui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/resdialogs.txt,
	src/arch/win32/resjoyport.rc, src/arch/win32/resmenu.txt,
	src/arch/win32/resplus4.rc, src/arch/win32/scpu64ui.c,
	src/arch/win32/uijoyport.c, src/arch/win32/uijoyport.h,
	src/arch/win32/uijoystick.c, src/arch/win32/uijoystick.h,
	src/arch/win32/vic20ui.c: Added plus4 userport support to the windows
	gui.

2016-01-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia2.c, src/c64dtv/c64dtvcia2.c, src/cbm2/cbm2cia1.c,
	src/pet/petvia.c, src/plus4/plus4pio1.c, src/vic20/vic20via2.c: Added
	userport pbx read/store functions for the transition to the new
	userport system.

2016-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport_joystick.c: Don't use classic userport
	joystick adapter as default for xplus4.

2016-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4.c: Added missing include.

2016-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4.c: Hooked in the userport joystick resource and
	cmdline init calls for xplus4.

2016-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/joy.c, src/arch/amigaos/joyll.c,
	src/arch/beos/joy.cc, src/arch/msdos/joy.c, src/arch/os2/joy.c,
	src/arch/sdl/joy.c, src/arch/sdl/joy.h, src/arch/unix/joy.c,
	src/arch/unix/macosx/joy.c, src/arch/unix/x11/gnome/uijoystatus.c,
	src/arch/win32/joy.c, src/arch/win32/res.rc,
	src/arch/win32/resstrings.txt, src/joyport/joyport.c,
	src/joyport/joyport.h, src/joyport/joystick.c, src/joyport/joystick.h,
	src/plus4/plus4.c, src/plus4/plus4pio1.c,
	src/userport/userport_joystick.c: Extended the joystick system to
	handle 5 joysticks, and added userport joystick adapter support to
	xplus4, which 'pushes' the sidcart control port to become extra joy
	device #3.

2016-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c64ui.c: Fixed a warning.

2016-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport_joystick.c: Fixed to be more clear about what
	is happening.

2016-01-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/petvia.c: Fixed the userport joystick adapter read call.

2016-01-10  groepaz <groepaz@gmx.net>

	* data/C64/win_shortcuts.vsc: udpated

2016-01-10  groepaz <groepaz@gmx.net>

	* src/arch/win32/c64ui.c, src/arch/win32/resmenu.txt: add some more
	hotkeys to x64, patch by erhan

2016-01-10  groepaz <groepaz@gmx.net>

	* src/arch/sdl/menu_joyport.c, src/arch/sdl/menu_sampler.c,
	src/arch/sdl/ui.c: fixed some warnings

2016-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cia2.c, src/c64/c64parallel.c, src/c64/c64parallel.h,
	src/c64/cart/formel64.c, src/c64dtv/c64dtvcia2.c,
	src/plus4/plus4parallel.c, src/plus4/plus4parallel.h,
	src/plus4/plus4pio1.c, src/rs232drv/rsuser.c, src/rsuser.h,
	src/vic20/vic20via2.c: Made the current userport system a little bit
	more sane, this will keep things working as expected while the
	transition to the new userport system is going on.

2016-01-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c,
	src/cbm2/cbm2.c, src/cbm2/cbm5x0.c, src/pet/pet.c, src/plus4/plus4.c,
	src/scpu64/scpu64.c, src/userport/userport.c, src/userport/userport.h,
	src/vic20/vic20.c: Added userport property registration hooks for the
	various emulators.

2016-01-10  groepaz <groepaz@gmx.net>

	* src/arch/sdl/uimenu.c: remove unnecessary delay, patch by moiree

2016-01-10  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/cocoa/view/viceglview.m: fix bug #637, patch by
	P-a Backstrom

2016-01-10  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/Info.plist: add high resolution key to fix
	display on retina display, patch by P-a Backstrom

2016-01-10  groepaz <groepaz@gmx.net>

	* src/arch/unix/macosx/Resources/English.lproj/x64.nib/designable.nib:
	applied fix-gui-errors patch by TMLPiper

2016-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/plus4.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/win32/watcom/plus4.tgt,
	src/arch/win32/watcom/vice.wpj: Added missing include dir.

2016-01-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/plus4.tmpl: Added missing include dir.

2016-01-09  groepaz <groepaz@gmx.net>

	* src/plus4/Makefile.am: added missing include dir

2016-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c,
	src/cbm2/cbm2.c, src/cbm2/cbm5x0.c, src/machine.h, src/pet/pet.c,
	src/plus4/plus4.c, src/scpu64/scpu64.c, src/userport/userport.c,
	src/userport/userport.h, src/vic20/vic20.c: Hooked in the userport
	resources and cmdline init's.

2016-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/translate.txt, src/translate_text.c, src/userport/userport.c:
	Added resources and cmdline options to the userport system, not hooked
	in yet.

2016-01-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/userport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/userport.tmpl,
	src/arch/win32/watcom/userport.tgt, src/arch/win32/watcom/vice.wpj,
	src/userport/Makefile.am, src/userport/userport.c,
	src/userport/userport.h: Started on a proper userport system, not
	hooked in yet (wip).

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/sampler2bit.c, src/joyport/sampler4bit.c: Added
	sampler <--> control port pins information.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/mouse.c: Added mice/paddles/pad <--> control port pins
	information.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/lightpen.c: Added lighpen/gun <--> control port pins
	information.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/joystick.c: Added joystick <--> control port pins
	information.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uisampler.c: Added missing includes.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/menudefs.c,
	src/arch/msdos/uijoyport.c, src/arch/msdos/uisampler.c,
	src/arch/msdos/uisampler.h: Added sampler settings support to the dos
	tui.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/Makefile.am, src/arch/unix/gui/c128ui.c,
	src/arch/unix/gui/c64dtvui.c, src/arch/unix/gui/c64scui.c,
	src/arch/unix/gui/c64ui.c, src/arch/unix/gui/cbm2ui.c,
	src/arch/unix/gui/petui.c, src/arch/unix/gui/plus4ui.c,
	src/arch/unix/gui/scpu64ui.c, src/arch/unix/gui/uisampler.c,
	src/arch/unix/gui/uisampler.h, src/arch/unix/gui/vic20ui.c: Added
	sampler settings support to the unix gui.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/menu_sampler.c,
	src/arch/sdl/menu_sampler.h, src/arch/sdl/win32-watcom/arch.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/sdl/x128_ui.c,
	src/arch/sdl/x64_ui.c, src/arch/sdl/x64dtv_ui.c,
	src/arch/sdl/x64sc_ui.c, src/arch/sdl/xcbm2_ui.c,
	src/arch/sdl/xpet_ui.c, src/arch/sdl/xplus4_ui.c,
	src/arch/sdl/xscpu64_ui.c, src/arch/sdl/xvic_ui.c: Added sampler
	settings support to the sdl gui.

2016-01-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uisampler.c, src/arch/win32/vs_tmpl/arch_sdl.tmpl,
	src/arch/win32/watcom/arch.tgt, src/arch/win32/watcom/vice.wpj: Fixed
	ow and msvc project files.

2016-01-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	src/arch/amigaos/c64dtvui.c, src/arch/amigaos/c64dtvuires.h,
	src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/cbm5x0ui.c, src/arch/amigaos/cbm5x0uires.h,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/Makefile.am, src/arch/amigaos/mui/uisampler.c,
	src/arch/amigaos/mui/uisampler.h, src/arch/amigaos/petui.c,
	src/arch/amigaos/petuires.h, src/arch/amigaos/plus4ui.c,
	src/arch/amigaos/plus4uires.h, src/arch/amigaos/scpu64ui.c,
	src/arch/amigaos/scpu64uires.h, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h: Added
	sampler settings support to the amiga gui.

2016-01-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* AUTHORS, po/POTFILES.in, src/arch/win32/Makefile.am,
	src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/cbm5x0ui.c, src/arch/win32/petui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resc64dtv.rc, src/arch/win32/rescbm2.rc,
	src/arch/win32/rescbm5x0.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resmenu.txt, src/arch/win32/respet.rc,
	src/arch/win32/resplus4.rc, src/arch/win32/ressampler.rc,
	src/arch/win32/resscpu64.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/resvic20.rc, src/arch/win32/scpu64ui.c,
	src/arch/win32/uisampler.c, src/arch/win32/uisampler.h,
	src/arch/win32/vic20ui.c, src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64dtv.tmpl, src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj:
	Added sampler settings support to the windows gui.

2016-01-04  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/uimenu.c: added a missing (void)

2016-01-04  pottendo  <pottendo@aon.at>

	* src/arch/unix/x11/gnome/x11ui.c: Summary: setup_aspect_geo():
	removed specfic HW handling; makes FS without HW scaling somehow
	usable.

2016-01-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/file_drv.c, src/samplerdrv/portaudio_drv.c: Changed
	the names of the sampler devices to be more descriptive.

2016-01-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/sampler.c, src/samplerdrv/sampler.h: Added
	'sampler_get_devices' function to be used by the guis to get the names
	of the available sampler devices (and capabilities if needed).

2016-01-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sounddrv/soundflac.c: Changed the last '2015' to '2016'.

2016-01-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* AUTHORS, README, doc/html/index.html, doc/vice.chm, doc/vice.guide,
	doc/vice.hlp, doc/vice.inf, doc/vice.pdf, doc/vice.texi, doc/vice.txt,
	man/vice.1, src/arch/os2/dialogs/dialogs.rc,
	src/arch/unix/macosx/Info.plist,
	src/arch/unix/macosx/Resources/Credits.html,
	src/arch/unix/x11/gnome/about.c, src/c1541.c: Changed some/most '2015'
	to '2016'.

2016-01-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_windows_runtime_os.c: Fixed for cygwin.

2016-01-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/core/flash040core.c, src/vic20/cart/ultimem.c: Applied ultimem
	patch by Marko Mäkelä: I got the magic sequence wrong from the
	datasheet (the chip works in both 16-bit and 8-bit mode).

2015-12-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/core/flash040core.c, src/flash040.h, src/vic20/cart/ultimem.c:
	Applied vic20 ultimem patch by Marko Mäkelä: Jim chose to use a
	different flash chip for the production version, with different
	manufacturer and device ID. Also, the emulation of the 8M flash chip
	was wrong (using 16M image size instead of 8M, and reporting the
	device ID at the wrong address).

2015-12-30  Marcus Sutton <loggedoubt@gmail.com>

	* src/keyboard.c: Added missing "#ifdef COMMON_JOYKEYS" guard; may fix
	a possible build break on AmigaOS4 that I can't test.

2015-12-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/sampler.c, src/translate.txt, src/translate_text.c:
	Added gain (1%-200%) support to the sampler system.

2015-12-30  groepaz <groepaz@gmx.net>

	* src/arch/sdl/menu_c64cart.c, src/arch/sdl/menu_drive.c: added
	support for SSRamExpansion, DriveXRPM, DriveXWobble to SDL UI

2015-12-30  groepaz <groepaz@gmx.net>

	* doc/vice.texi: fix warnings in texi

2015-12-30  groepaz <groepaz@gmx.net>

	* doc/vice.texi: really fix doc for 'AutostartDelay'. oops

2015-12-30  groepaz <groepaz@gmx.net>

	* doc/vice.pdf: fix doc for 'AutostartDelay'

2015-12-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c,
	src/cbm2/cbm2.c, src/cbm2/cbm5x0.c, src/pet/pet.c, src/plus4/plus4.c,
	src/samplerdrv/file_drv.c, src/samplerdrv/portaudio_drv.c,
	src/samplerdrv/sampler.c, src/samplerdrv/sampler.h,
	src/scpu64/scpu64.c, src/vic20/vic20.c: Added sampler device reset
	support.

2015-12-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/joyport.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/joyport.tmpl,
	src/arch/win32/watcom/joyport.tgt, src/arch/win32/watcom/vice.wpj,
	src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c, src/cbm2/cbm2.c,
	src/cbm2/cbm5x0.c, src/embedded.c, src/joyport/Makefile.am,
	src/joyport/joyport.h, src/joyport/sampler4bit.c,
	src/joyport/sampler4bit.h, src/pet/pet.c, src/plus4/plus4.c,
	src/scpu64/scpu64.c, src/translate.txt, src/translate_text.c,
	src/vic20/vic20.c: Added experimental control port 4bit sampler
	support, still needs some work.

2015-12-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/drive/iec/iecrom.c: Removed unneeded drivedos2000/4000.h include
	and made the static arrays available to any compile.

2015-12-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/resid/siddefs.h.in: Applied patch by Leandro Nini: Broken log1p
	check in resid.

2015-12-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/sfx_soundsampler.c, src/joyport/sampler2bit.c,
	src/plus4/digiblaster.c, src/samplerdrv/sampler.c,
	src/samplerdrv/sampler.h, src/translate.txt, src/translate_text.c:
	Added some code to assure that only one device can use the sampler
	system at the same time.

2015-12-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/digiblaster.c: Added sampler support to the plus4
	digiblaster sidcart extension.

2015-12-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/petmem.c: Finished the pet io system.

2015-12-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/petdww.c, src/pet/petdww.h, src/pet/petmem.c: Moved petdww
	handling to the new pet io system.

2015-12-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/pet-sidcart.c, src/pet/petmem.c: Moved pet sidcart handling
	to the new pet io system.

2015-12-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/petmem.c, src/pet/petreu.c, src/pet/petreu.h: Moved petreu
	handling to the new pet io system.

2015-12-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/digiblaster.c, src/plus4/digiblaster.h,
	src/plus4/plus4memcsory256k.h, src/plus4/plus4memhannes256k.h,
	src/plus4/plus4speech.h, src/sidcart.h: Removed 'non-static' function
	prototypes and some warning fixes.

2015-12-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cartio.h, src/pet/petmem.c: Hooked in the pet io functions to be
	able to transition to the new pet io system.

2015-12-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/petio.c, src/pet/petmem.c: Renamed some functions to make
	clear what io-areas are handled by those functions.

2015-12-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4mem.c: Finished plus4 io system.

2015-12-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/digiblaster.c, src/plus4/digiblaster.h,
	src/plus4/plus4-sidcart.c, src/plus4/plus4mem.c: Added the sidcart and
	related devices (digiblaster & sidcart joystick) areas
	($fd40-$df5f / $fd80-$fd8f / $fe80-$fe9f) to the plus4 i/o system.

2015-12-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4mem.c, src/plus4/plus4memhannes256k.c: Added the
	hannes 256k/1024k/4096k memory expansion area ($fd16) to the plus4 i/o
	system.

2015-12-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4mem.c, src/plus4/plus4memcsory256k.c: Added the csory
	256k memory expansion area ($fd15) to the plus4 i/o system.

2015-12-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4mem.c, src/plus4/plus4speech.c: Added the v364 speech
	chip area ($fd20-$fd22) to the plus4 i/o system.

2015-12-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4acia.c, src/plus4/plus4mem.c: Added the
	c232/plus4/v364 acia area ($fd00-$fd0f) to the plus4 i/o system.

2015-12-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4mem.c: Added the plus4 tcbm1/2 (1551 drive 8/9) areas
	($fec0-$fecf / $fef0-$feff) to the plus4 i/o system.

2015-12-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4mem.c: Added the plus4 pio2 area ($fd30-$fd3f) to the
	plus4 i/o system.

2015-12-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4mem.c: Added the plus4 pio1 area ($fd10-$fd1f) to the
	plus4 i/o system.

2015-12-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/plus4/plus4mem.c: Started 'plugging in' standard plus4 i/o
	devices, starting with the rom bank switch area at $fdd0-$fddf.

2015-12-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/plus4.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/win32/vs_tmpl/plus4.tmpl,
	src/arch/win32/watcom/plus4.tgt, src/arch/win32/watcom/vice.wpj,
	src/plus4/Makefile.am, src/plus4/plus4.c, src/plus4/plus4io.c,
	src/plus4/plus4mem.c, src/plus4/plus4mem.h: Added plus4io.c, i/o
	functions not plugged in yet.

2015-12-26  groepaz <groepaz@gmx.net>

	* src/autostart.c, src/initcmdline.c, src/kbdbuf.c: set
	'autostart_mode' explicitly on the last orpaned option instead of
	relying on the default value. makes regular autostart work again.

2015-12-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/kbdbuf.c: Fixed some warnings.

2015-12-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* AUTHORS, man/vice.1: Regenerated files because of previous typo fix.

2015-12-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/infocontrib.sed: Fixed a typo.

2015-12-25  groepaz <groepaz@gmx.net>

	* src/autostart.c, src/autostart.h, src/initcmdline.c,
	src/initcmdline.h, src/kbdbuf.c, src/kbdbuf.h: make sure the keys
	'pressed' by the -keybuf commandline option are active after the
	autoload/autostart procedure was finished. fixes bug #513

2015-12-25  groepaz <groepaz@gmx.net>

	* src/autostart.c, src/kbdbuf.c: improve handling of keyboard buffer
	injection for autostart, fixes bug #696

2015-12-24  groepaz <groepaz@gmx.net>

	* src/resid/sid.cc: fix bus TTL, inspired by patch from Leandro Nini.

2015-12-24  groepaz <groepaz@gmx.net>

	* src/resid/filter.h: add hard clipping to 8580 mixer output, patch by
	Leandro Nini. fixes bug #692.

2015-12-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/petmem.c: #if 0'ed currently unused functions, they will be
	used (and hooked in) when work on the pet i/o system continues.

2015-12-24  groepaz <groepaz@gmx.net>

	* src/cartconv.c: accept wrong crt header size in repair mode

2015-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/pet.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/win32/vs_tmpl/pet.tmpl,
	src/arch/win32/watcom/pet.tgt, src/arch/win32/watcom/vice.wpj,
	src/cartio.h, src/pet/Makefile.am, src/pet/pet.c, src/pet/petio.c,
	src/pet/petmem.c, src/pet/petmem.h: Added petio.c, not hooked into the
	pet memory system yet.

2015-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/pet/petdww.c, src/pet/petmem.c: Keep track of last cpu accesses
	on the bus for xpet, and return last data on the bus when unconnected
	space is read.

2015-12-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cbm2/cbm2.c, src/cbm2/cbm2mem.c, src/cbm2/cbm2mem.h,
	src/cbm2/cbm5x0.c, src/cbm2/cbm5x0mem.c: Finished xcbm2/xcbm5x0 I/O
	handling code.

2015-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/cbm2common.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/win32/vs_tmpl/cbm2common.tmpl,
	src/arch/win32/watcom/cbm2common.tgt, src/arch/win32/watcom/vice.wpj,
	src/cartio.h, src/cbm2/Makefile.am, src/cbm2/cbm2io.c: Added cbm2io.c,
	meant to take care of xcbm2/xcbm5x0 i/o reads and writes, not hooked
	in yet.

2015-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cbm2/cbm2mem.c, src/cbm2/cbm2mem.h: Keep track of last cpu
	accesses on the bus for xcbm2, and return last data on the bus when
	unconnected space is read.

2015-12-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cbm2/cbm5x0mem.c: Return vicii last access for xcbm2 unconnected
	space reads.

2015-12-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/Makefile.am,
	src/arch/win32/plus4ui.c, src/arch/win32/resdialogs.txt,
	src/arch/win32/resmenu.txt, src/arch/win32/resplus4.rc,
	src/arch/win32/resplus4memoryhacks.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/uiplus4mem.c, src/arch/win32/uiplus4memoryhacks.c,
	src/arch/win32/uiplus4memoryhacks.h,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/vice.wpj,
	src/pet/petmem.c, src/pet/petmem.h: Added plus4 memory hacks dialog to
	the windows gui.

2015-12-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/cart/ultimem.c: Applied UltiMem patch by Marko Mäkelä: The
	emulation was incorrectly implementing all address bits A13..A24.

2015-12-20  pottendo  <pottendo@aon.at>

	* po/de.po: Summary: Updated.

2015-12-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/xpet_ui.c: Fixed xpet sdl menu size.

2015-12-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/ui_joystick.cc, src/arch/beos/vicemenu.cc: Removed
	'extra joystick port 2' related items from the beos x64dtv gui.

2015-12-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uijoystick.c: Removed 'extra joystick port 2' related
	items from the dos x64dtv tui.

2015-12-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/gnome/uijoystatus.c: Fixed gtk joystick status
	display for x64dtv.

2015-12-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uijoystick.c,
	src/arch/amigaos/mui/uijoystickll.c: Removed 'extra joystick port 2'
	related items from the amiga x64dtv gui.

2015-12-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uijoystick2.c: Removed 'extra joystick port 2'
	related items from the unix x64dtv gui.

2015-12-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/joyport.c, src/joyport/joyport.h,
	src/joyport/joystick.c, src/joyport/mouse.c: Extended global joystick
	status display calls to deal with all (4) possible ports.

2015-12-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/c64cart.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/video.tgt,
	src/arch/win32/watcom/c64cart.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/video.tgt: Updated ow project files for the
	latest changes.

2015-12-18  groepaz <groepaz@gmx.net>

	* src/findhacks.sh: exclude lib dir from scanning, we dont want to fix
	the ffmpeg tree :)

2015-12-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	Modified : /trunk/vice/src/arch/sdl/menu_joystick.c: Removed
	'extra joystick port 2' related items from the sdl x64dtv gui.

2015-12-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/xcbm2_ui.c, src/arch/sdl/xpet_ui.c: Fixed sdl
	'extra_x/extra_y' menu parameters for xcbm2 and xpet, fixes bug #643.

2015-12-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/video.tmpl: Added 'render1x1crt.c' to the
	msvc templates.

2015-12-18  groepaz <groepaz@gmx.net>

	* src/video/Makefile.am, src/video/render1x1crt.c,
	src/video/render1x1crt.h, src/video/video-render-crt.c: added 1x1 CRT
	renderer, fixes broken colors in xpet when doublesize/stretch is
	disabled

2015-12-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/scpu64/scpu64memsnapshot.c: Fixed some warnings.

2015-12-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c64dtvui.c, src/arch/win32/resc64dtv.rc,
	src/arch/win32/uijoystick.c: Removed 'extra joystick port 2' related
	items from the windows x64dtv gui.

2015-12-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/c64cart.tmpl: Added debugcart.c to the msvc
	project templates.

2015-12-17  groepaz <groepaz@gmx.net>

	* src/c64/cart/debugcart.c, src/machine.c, src/screenshot.c,
	src/translate.txt, src/translate_text.c: added '-exitscreenshot'
	option, fixed translation for debugcart

2015-12-17  groepaz <groepaz@gmx.net>

	* src/c64/cart/Makefile.am, src/c64/cart/c64carthooks.c,
	src/c64/cart/debugcart.c, src/c64/cart/debugcart.h, src/cartridge.h:
	added 'debug cartridge' for automatic testing to x64/x64sc. similar
	devices can be added to the other emulators later

2015-12-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/userport/userport_joystick.c: Removed the 'UserportJoyType'
	resource from x64dtv and set the type variable to 'hummer' for x64dtv.

2015-12-17  groepaz <groepaz@gmx.net>

	* src/c64/cart/kcs.c: some more KCS hacking. more ugly, but less
	broken :) bload and freezer seems to work stable now

2015-12-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/kcs.c, src/c64/cart/supersnapshot.c: Fixed some
	warnings.

2015-12-17  groepaz <groepaz@gmx.net>

	* src/pet/pet.c: calling petui_init once is enough :) fixes the flood
	of GTK warnings.

2015-12-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.pdf, src/arch/unix/x11/gnome/Makefile.am,
	src/arch/unix/x11/gnome/uijoystatus.c: Added missing include.

2015-12-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/gnome/uijoystatus.c: Fixed the gtk joystick
	display.

2015-12-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uic64dtv.c: Use 'normal menu' type for c64dtv
	hummer adc menu, leads to a submenu.

2015-12-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uijoystick2.c: x64dtv only supports 1 userport
	joystick.

2015-12-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, build/android/build-android.sh, configure.proto,
	doc/vice.chm, doc/vice.hlp, doc/vice.pdf, po/da.po, po/de.po,
	po/es.po, po/fr.po, po/hu.po, po/it.po, po/ko.po, po/nl.po, po/pl.po,
	po/ru.po, po/sv.po, po/tr.po,
	src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat, src/version.h: VICE 2.4.24

2015-12-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/translate_text.c: Did a 'make trans-update'.

2015-12-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2015-12-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2015-12-15  groepaz <groepaz@gmx.net>

	* src/c64/cart/kcs.c: update KCS a bit... bload still not working
	correctly ;_;

2015-12-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/resource-and-cmdline-checking.txt, doc/vice.chm, doc/vice.guide,
	doc/vice.hlp, doc/vice.inf, doc/vice.pdf, doc/vice.texi, doc/vice.txt:
	some documentation updates.

2015-12-15  groepaz <groepaz@gmx.net>

	* src/c64/cart/c64cartmem.c, src/c64/cart/c64cartsystem.h,
	src/c64/cart/supersnapshot.c: added common function that returns
	current export mode as literal string for printing

2015-12-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/resource-and-cmdline-checking.txt, doc/vice.chm, doc/vice.guide,
	doc/vice.hlp, doc/vice.inf, doc/vice.pdf, doc/vice.texi, doc/vice.txt:
	some documentation updates.

2015-12-11  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/kbd.c, src/arch/beos/kbd.h, src/arch/msdos/kbd.c,
	src/arch/msdos/kbd.h, src/arch/win32/kbd.h: Removed some old keyboard
	handling code which looks like it has been obsolete since VICE 1.10
	and fixed some of the keycodes for BeVICE.

2015-12-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cpu.c: Cosmetic fix.

2015-12-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/65c02core.c, src/c64/cart/turbomaster.c,
	src/c64/cart/turbomaster.h, src/monitor.h, src/translate.txt,
	src/translate_text.c: Some more turbo master progress, still not
	hooked in.

2015-12-08  groepaz <groepaz@gmx.net>

	* doc/vice.texi: fix crt file docs according to recent fixes in
	cartconv and the loaders

2015-12-08  groepaz <groepaz@gmx.net>

	* src/c64/cart/supersnapshot.c: fix/update supersnapshot v5
	register/rom disabling, general cleanup, better support for io dump

2015-12-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_unix.c: Applied patch by TMLPiper: The include
	of platform_macosx.c from archdep_unix.c has the wrong path.

2015-12-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/macosx/Makefile.am,
	src/arch/unix/macosx/cocoa/Makefile.am: Applied patch by TMLPiper: Add
	joyport directory to include list so COCOA port builds.

2015-12-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/turbomaster.c, src/c64/cart/turbomaster.h: Started on
	turbomaster (4Mhz 65c02) emulation, wip, not hooked into the build
	process yet.

2015-12-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64_256k.c: Cosmetic fix.

2015-12-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/cpmcart.c: Cosmetic fix.

2015-12-06  groepaz <groepaz@gmx.net>

	* src/c64/cart/freezemachine.c, src/c64/cart/mach5.c,
	src/c64/cart/magicvoice.c, src/c64/cart/supersnapshot4.c: fix crt
	loaders of freeze machine, magic voice, super snapshot 4

2015-12-06  groepaz <groepaz@gmx.net>

	* src/cartconv.c: generate 16k banks instead of two 8k chip blocks for
	magic voice, freeze machine, super snapshot 4

2015-12-04  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/constants.txt,
	src/arch/beos/ui_video.cc, src/arch/beos/ui_video.h,
	src/arch/beos/vicemenu.cc: Added tabs to the BeVICE Video settings
	dialog, (only one per vchip for now,) and fixed a memory leak; also
	reordered a couple of menu items.

2015-12-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/c64cpu.c, src/c64/c64cpusc.c: Changed the
	'run alternate cpu' call a bit, in preparation for any future
	'alternate cpu' emulation.

2015-12-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm5x0.c,
	src/joyport/mouse.c, src/joyport/mouse.h, src/plus4/plus4.c,
	src/scpu64/scpu64.c, src/vic20/vic20.c: Fixed neos mouse time-out
	behavior (time set to 200 μs).

2015-12-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/cart/ultimem.c: Slight fix.

2015-12-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/cart/ultimem.c: Applied UltiMem patch by Marko Mäkelä: The
	-ultimem option and the snapshot reader and writer now support both
	512KiB+512KiB and 8MiB+1MiB flash+RAM sizes. The smaller 512K+128K and
	512K+256K options are not supported.

2015-12-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/c64cartmem.c, src/c64/cart/isepic.c: Fixed isepic
	emulation.

2015-12-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/x128.tmpl: Added some (previously missing)
	windows resource files to the msvc project files.

2015-12-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/ramcart.c: Fixed the ramcart code to work on x128
	again.

2015-11-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/cart/ultimem.c: Applied Vic-20 UltiMem register relocation
	patch by Marko Mäkelä.

2015-11-28  Marcus Sutton <loggedoubt@gmail.com>

	* gcccpu.sh: gcc 2.9 still compiles x64's main CPU code quite well
	with -O2.

2015-11-28  Marcus Sutton <loggedoubt@gmail.com>

	* src/c64/cart/c64acia1.c, src/joyport/joyport.c: Fixed some IDs that
	looked wrong.

2015-11-28  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui.cc: Fixed BeVICE menu check marks not getting
	updated (oops) and moved a function.

2015-11-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/cart/ioramcart.c: Fixed, io2 read call was used instead of
	io3 read call.

2015-11-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* Makefile.am: Added 'autogen.sh' to the dist list.

2015-11-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/cpmcart.c: Turn off z80 when cp/m cart gets 'removed'.

2015-11-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, build/android/build-android.sh, configure.proto,
	doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf,
	doc/vice.pdf, doc/vice.txt, po/da.po, po/de.po, po/es.po, po/fr.po,
	po/hu.po, po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po,
	po/tr.po, src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat, src/version.h: VICE 2.4.23

2015-11-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/es.po, po/fr.po, po/hu.po, po/it.po, po/nl.po,
	po/sv.po, src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resjoyport.rc,
	src/arch/win32/resmouse.rc, src/arch/win32/resvic20.rc,
	src/arch/win32/resvicii.rc, src/translate_text.c: Did a
	'make trans-update'.

2015-11-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2015-11-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* da.po, de.po, po/es.po, po/fr.po, po/hu.po, po/it.po, po/ko.po,
	po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2015-11-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/c64carthooks.c: Limit cpm cart init to x64 and x64sc
	only.

2015-11-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/mouse.c: Neos mouse transitions are continuous, no idle
	state.

2015-11-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/cart/vic20cart.c: Added vic20 ultimem resource/cmdline
	init calls.

2015-11-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/joyport.c, src/scpu64/scpu64stubs.c: Fixed.

2015-11-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128cia1.c, src/c64/c64cia1.c, src/cbm2/cbm5x0cia1.c,
	src/joyport/joyport.c, src/joyport/joyport.h, src/joyport/mouse.c,
	src/plus4/plus4-sidcart.c, src/vic20/vic20via1.c,
	src/vic20/vic20via2.c: Added mask parameter for the joyport digital
	store function, this allows for joyport bits/pins to be spread out
	over multiple registers (like in the vic20).

2015-11-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/vic20via2.c: Fixed vic20 joyport store code for neos
	mouse, proper fix for everything else will follow.

2015-11-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/vic20mem.c: Use correct 'peek' calls for xvic monitor
	(fixes bug #691).

2015-11-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/c64cart.tgt,
	src/arch/sdl/win32-watcom/c64commonsc128.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/win32/vs_tmpl/c64.tmpl,
	src/arch/win32/vs_tmpl/c64c128.tmpl,
	src/arch/win32/vs_tmpl/c64cart.tmpl,
	src/arch/win32/vs_tmpl/c64sc.tmpl, src/arch/win32/watcom/c64cart.tgt,
	src/arch/win32/watcom/c64commonsc128.tgt,
	src/arch/win32/watcom/vice.wpj: Updated the ow and msvc project
	files/templates for the recent daa.* move.

2015-11-24  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/amigaos/joy.c, src/arch/amigaos/joy.h,
	src/arch/amigaos/joyll.c, src/arch/amigaos/joyll.h,
	src/arch/beos/joy.cc, src/arch/beos/joy.h, src/arch/msdos/joy.c,
	src/arch/msdos/joy.h, src/arch/os2/joy.c, src/arch/os2/joy.h,
	src/arch/sdl/joy.c, src/arch/sdl/joy.h, src/arch/sdl/ui.c,
	src/arch/sdl/video.c, src/arch/unix/joy.c, src/arch/unix/joy.h,
	src/arch/unix/macosx/joy.c, src/arch/unix/macosx/joy.h,
	src/arch/win32/joy.c, src/arch/win32/joy.h, src/joyport/joystick.c,
	src/joyport/joystick.h, src/keyboard.c: Merged arch-specific
	"JoyDevice<N>" resources together. All ports now register
	"JoyDevice<N>" resources in joyport/joystick.c and use
	joystick_port_map[] to store the values. Many minor bugs fixed, lots
	of code altered for consistency between ports, hopefully nothing
	broken. Please test on everything.

2015-11-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/Makefile.am, src/c64/cart/Makefile.am, src/c64/cart/daa.c,
	src/c64/cart/daa.h, src/c64/daa.c, src/c64/daa.h: Moved daa.* files to
	a better location.

2015-11-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/Makefile.am: Added missing files.

2015-11-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* gcccpu.sh: Updated.

2015-11-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c: Added c64
	cp/m gui elements to the unix port.

2015-11-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64cart.c, src/arch/sdl/menu_c64cart.h,
	src/arch/sdl/x128_ui.c: Added c64 cp/m gui elements to the sdl port.

2015-11-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c64ui.c: Added c64 cp/m gui elements to the dos port.

2015-11-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c64ui.cc, src/arch/beos/constants.txt,
	src/arch/beos/vicemenu.cc: Added c64 cp/m gui elements to the beos
	port.

2015-11-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/uires.h: Added c64 cp/m gui elements to the amiga
	port.

2015-11-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c64ui.c, src/arch/win32/resc64.rc,
	src/arch/win32/resmenu.txt, src/arch/win32/resstrings.txt: Added c64
	cp/m gui elements to the windows port.

2015-11-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/6510dtvcore.c, src/c64/c64.c, src/c64/c64cpusc.c,
	src/c64/c64memsc.c, src/c64/cart/c64carthooks.c,
	src/c64/cart/cpmcart.c, src/c64/cart/cpmcart.h,
	src/scpu64/scpu64mem.c: Made c64 cp/m cartridge emulation compatible
	with x64sc.

2015-11-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/6510core.c, src/arch/sdl/win32-watcom/c128.tgt,
	src/arch/sdl/win32-watcom/c64.tgt,
	src/arch/sdl/win32-watcom/c64commonsc128.tgt,
	src/arch/sdl/win32-watcom/c64commonvsid.tgt,
	src/arch/sdl/win32-watcom/c64sc.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/vsidlib.tgt,
	src/arch/win32/vs_tmpl/c128.tmpl, src/arch/win32/vs_tmpl/c64.tmpl,
	src/arch/win32/vs_tmpl/c64c128.tmpl,
	src/arch/win32/vs_tmpl/c64cart.tmpl,
	src/arch/win32/vs_tmpl/c64sc.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/watcom/c128.tgt, src/arch/win32/watcom/c64.tgt,
	src/arch/win32/watcom/c64commonsc128.tgt,
	src/arch/win32/watcom/c64commonvsid.tgt,
	src/arch/win32/watcom/c64sc.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/vsidlib.tgt, src/c128/Makefile.am,
	src/c128/daa.c, src/c128/daa.h, src/c64/Makefile.am, src/c64/c64.c,
	src/c64/c64cpu.c, src/c64/c64cpusc.c, src/c64/cart/c64carthooks.c,
	src/c64/cart/cpmcart.c, src/c64/cart/cpmcart.h, src/c64/daa.c,
	src/c64/daa.h, src/c64/vsidcpu.c, src/cartridge.h,
	src/scpu64/scpu64stubs.c, src/translate.txt, src/translate_text.c:
	Added c64 cp/m (z80) cartridge support, x64 only for now (working on
	x64sc support), and no gui elements yet.

2015-11-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/Makefile.am, src/c128/z80vms.c: Removed obsolete source
	file.

2015-11-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/uires.h, src/arch/amigaos/vic20ui.c,
	src/arch/amigaos/vic20uires.h, src/arch/beos/constants.txt,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc,
	src/arch/msdos/vic20ui.c, src/arch/unix/gui/vic20ui.c,
	src/arch/win32/resmenu.txt, src/arch/win32/resstrings.txt,
	src/arch/win32/resvic20.rc, src/arch/win32/vic20ui.c: Added vic20
	ultimem writeback gui elements.

2015-11-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/resource-and-cmdline-checking.txt: Added vic20 io-2/3 ram
	resources and cmdline options to the
	'resource-and-cmdline-checking.txt' file.

2015-11-22  groepaz <groepaz@gmx.net>

	* doc/vice.pdf, doc/vice.txt: regenerate vice.pdf

2015-11-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/uires.h, src/arch/amigaos/vic20ui.c,
	src/arch/amigaos/vic20uires.h, src/arch/beos/constants.txt,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc,
	src/arch/msdos/vic20ui.c, src/arch/sdl/menu_vic20cart.c,
	src/arch/sdl/win32-watcom/vic20cart.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/unix/gui/vic20ui.c,
	src/arch/win32/resmenu.txt, src/arch/win32/resstrings.txt,
	src/arch/win32/resvic20.rc, src/arch/win32/ui.c,
	src/arch/win32/vic20ui.c, src/arch/win32/vs_tmpl/vic20cart.tmpl,
	src/arch/win32/watcom/vic20cart.tgt, src/arch/win32/watcom/vice.wpj,
	src/cartridge.h, src/translate.txt, src/translate_text.c,
	src/vic20/cart/Makefile.am, src/vic20/cart/ioramcart.c,
	src/vic20/cart/ioramcart.h, src/vic20/cart/vic20cart.c: Added vic20
	I/O-2/3 RAM support.

2015-11-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/resource-and-cmdline-checking.txt: Added ultimem resources and
	cmdline options to the 'resource-and-cmdline-checking.txt' file.

2015-11-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vic20/cart/ultimem.c: Fixed resource name.

2015-11-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/debug.h, src/arch/win32/watcom/ide-config.h:
	Make sound work again for the ow compile.

2015-11-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/ui.c: Fixed.

2015-11-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/ui.c: Workaround for broken toolchain (fixes bug
	#687).

2015-11-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/translate.txt, src/translate_text.c, src/vic20/cart/ultimem.c:
	Some vic20 UltiMem cart fixes by Marko Mäkelä.

2015-11-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h,
	src/arch/beos/constants.txt, src/arch/beos/ui_file.cc,
	src/arch/beos/ui_file.h, src/arch/beos/vic20ui.cc,
	src/arch/beos/vicemenu.cc, src/arch/msdos/vic20ui.c,
	src/arch/sdl/menu_vic20cart.c,
	src/arch/sdl/win32-watcom/vic20cart.tgt,
	src/arch/sdl/win32-watcom/vice.wpj, src/arch/unix/gui/vic20ui.c,
	src/arch/win32/resmenu.txt, src/arch/win32/resstrings.txt,
	src/arch/win32/resvic20.rc, src/arch/win32/vic20ui.c,
	src/arch/win32/vs_tmpl/vic20cart.tmpl,
	src/arch/win32/watcom/vic20cart.tgt, src/arch/win32/watcom/vice.wpj,
	src/cartridge.h, src/core/flash040core.c, src/flash040.h,
	src/platform/platform_dos_runtime_os.c,
	src/platform/platform_windows_runtime_os.c, src/translate.txt,
	src/translate_text.c, src/vic20/cart/Makefile.am,
	src/vic20/cart/ultimem.c, src/vic20/cart/ultimem.h,
	src/vic20/cart/vic20cart.c, src/vic20/cart/vic20cartmem.c: Added vic20
	UltiMem cart support, emulation code made by Marko Mäkelä.

2015-11-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cartconv.c: Make sure argc > 1 when using argv[1], fixes the
	rest of bug #688.

2015-11-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/archdep.h: Potential fix for the ow x* crash problem.

2015-11-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/archdep_win32.h, src/arch/win32/archdep.h: Some more ow
	fixes.

2015-11-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/archdep.c: Undo ow verify exe disable.

2015-11-19  groepaz <groepaz@gmx.net>

	* src/vic20/vic-timing.h: adjust NTSC screen dimensions

2015-11-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* build/openwatcom/win32-build.sh, configure.proto,
	src/arch/win32/archdep.c, src/arch/win32/msvc/wpcap/pcap-stdinc.h,
	src/arch/win32/watcom/watcom-ar.sh: Some more ow fixes.

2015-11-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/resid/sid.h, src/resid-dtv/sid.h, src/sid/resid.cc: Cosmetic
	fixes.

2015-11-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Some more owcc related fixes.

2015-11-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/video/Makefile.am: Some owcc related fixes.

2015-11-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/plus4.tgt, src/arch/win32/watcom/vice.wpj: A
	few more fixes.

2015-11-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/c1541.tgt,
	src/arch/win32/watcom/c64commoncart.tgt,
	src/arch/win32/watcom/c64dtv.tgt, src/arch/win32/watcom/genic.tgt,
	src/arch/win32/watcom/geninfocontrib32.tgt,
	src/arch/win32/watcom/gentr.tgt,
	src/arch/win32/watcom/gentranslate32.tgt,
	src/arch/win32/watcom/genwinres32.tgt,
	src/arch/win32/watcom/genwr.tgt, src/arch/win32/watcom/ide-config.h,
	src/arch/win32/watcom/p64.tgt, src/arch/win32/watcom/petcat.tgt,
	src/arch/win32/watcom/platform.tgt,
	src/arch/win32/watcom/rs232drv.tgt, src/arch/win32/watcom/scpu64.tgt,
	src/arch/win32/watcom/serial.tgt, src/arch/win32/watcom/sid.tgt,
	src/arch/win32/watcom/sounddrv.tgt, src/arch/win32/watcom/tape.tgt,
	src/arch/win32/watcom/tcbm.tgt, src/arch/win32/watcom/userport.tgt,
	src/arch/win32/watcom/vdc.tgt, src/arch/win32/watcom/vdrive.tgt,
	src/arch/win32/watcom/vic20.tgt, src/arch/win32/watcom/vic20cart.tgt,
	src/arch/win32/watcom/vice.wpj, src/arch/win32/watcom/vicii.tgt,
	src/arch/win32/watcom/viciicommon.tgt,
	src/arch/win32/watcom/viciidtv.tgt,
	src/arch/win32/watcom/viciinew.tgt, src/arch/win32/watcom/video.tgt,
	src/arch/win32/watcom/vsid.tgt, src/arch/win32/watcom/x128.tgt,
	src/arch/win32/watcom/x64.tgt, src/arch/win32/watcom/x64dtv.tgt,
	src/arch/win32/watcom/x64sc.tgt, src/arch/win32/watcom/xcbm2.tgt,
	src/arch/win32/watcom/xcbm5x0.tgt, src/arch/win32/watcom/xpet.tgt,
	src/arch/win32/watcom/xplus4.tgt, src/arch/win32/watcom/xscpu64.tgt,
	src/arch/win32/watcom/xvic.tgt: Finished updating the win32 ow project
	files.

2015-11-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/Makefile.am,
	src/arch/win32/watcom/c64cart.tgt,
	src/arch/win32/watcom/c64commonsc128.tgt,
	src/arch/win32/watcom/c64commonvsid.tgt,
	src/arch/win32/watcom/c64exp.tgt, src/arch/win32/watcom/cbm2.tgt,
	src/arch/win32/watcom/cbm2common.tgt,
	src/arch/win32/watcom/cbm5x0.tgt, src/arch/win32/watcom/core.tgt,
	src/arch/win32/watcom/crtc.tgt, src/arch/win32/watcom/diskimage.tgt,
	src/arch/win32/watcom/drive.tgt, src/arch/win32/watcom/fileio.tgt,
	src/arch/win32/watcom/fsdevice.tgt,
	src/arch/win32/watcom/gfxoutputdrv.tgt, src/arch/win32/watcom/iec.tgt,
	src/arch/win32/watcom/iec128dcr.tgt, src/arch/win32/watcom/iecbus.tgt,
	src/arch/win32/watcom/iecieee.tgt, src/arch/win32/watcom/ieee.tgt,
	src/arch/win32/watcom/imagecontents.tgt,
	src/arch/win32/watcom/joyport.tgt, src/arch/win32/watcom/monitor.tgt,
	src/arch/win32/watcom/parallel.tgt, src/arch/win32/watcom/pet.tgt,
	src/arch/win32/watcom/plus4.tgt, src/arch/win32/watcom/plus4exp.tgt,
	src/arch/win32/watcom/printerdrv.tgt,
	src/arch/win32/watcom/raster.tgt, src/arch/win32/watcom/rtc.tgt,
	src/arch/win32/watcom/samplerdrv.tgt, src/arch/win32/watcom/vice.wpj,
	src/arch/win32/watcom/viciivsid.tgt: More ow fixes.

2015-11-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/Makefile.am, src/arch/win32/watcom/arch.tgt,
	src/arch/win32/watcom/c128.tgt, src/arch/win32/watcom/c64.tgt,
	src/arch/win32/watcom/c64commonall.tgt,
	src/arch/win32/watcom/c64commonsc.tgt,
	src/arch/win32/watcom/c64commonsc128scpu.tgt,
	src/arch/win32/watcom/c64commonscdtv128scpu.tgt,
	src/arch/win32/watcom/c64commonscdtvscpu.tgt,
	src/arch/win32/watcom/c64commonscscpu.tgt,
	src/arch/win32/watcom/c64commonscvsid.tgt,
	src/arch/win32/watcom/c64commonscvsid128.tgt,
	src/arch/win32/watcom/c64commonvsidsc128scpu.tgt,
	src/arch/win32/watcom/c64commonvsidscdtv.tgt,
	src/arch/win32/watcom/c64commonvsidscdtvscpu.tgt,
	src/arch/win32/watcom/c64commonvsidscpu.tgt,
	src/arch/win32/watcom/c64commonvsidscscpu.tgt,
	src/arch/win32/watcom/c64sc.tgt, src/arch/win32/watcom/genwt.bat,
	src/arch/win32/watcom/vice.wpj, src/arch/win32/watcom/vsidlib.tgt:
	More ow fixes.

2015-11-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am: Cosmetic fixes.

2015-11-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/video.c: Warning fix.

2015-11-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uimon.c: Datatype size_t is unsigned.

2015-11-17  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uijoyport.c: added missing include

2015-11-17  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/watcom/Makefile.am, src/arch/win32/watcom/base.tgt,
	src/arch/win32/watcom/cartconv.tgt, src/arch/win32/watcom/debug.h,
	src/arch/win32/watcom/maincpu.tgt, src/arch/win32/watcom/vice.wpj:
	Started on fixing the win32 ow project files.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/c1541.tgt,
	src/arch/sdl/win32-watcom/c64commoncart.tgt,
	src/arch/sdl/win32-watcom/c64commonsc128.tgt,
	src/arch/sdl/win32-watcom/c64commonscvsid128.tgt,
	src/arch/sdl/win32-watcom/cartconv.tgt,
	src/arch/sdl/win32-watcom/genic.tgt,
	src/arch/sdl/win32-watcom/geninfocontrib32.tgt,
	src/arch/sdl/win32-watcom/gentranslate32.tgt,
	src/arch/sdl/win32-watcom/ide-config.h,
	src/arch/sdl/win32-watcom/p64.tgt,
	src/arch/sdl/win32-watcom/petcat.tgt,
	src/arch/sdl/win32-watcom/platform.tgt,
	src/arch/sdl/win32-watcom/resid.tgt,
	src/arch/sdl/win32-watcom/residdtv.tgt,
	src/arch/sdl/win32-watcom/scpu64.tgt,
	src/arch/sdl/win32-watcom/userport.tgt,
	src/arch/sdl/win32-watcom/vic20cart.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/viciicommon.tgt,
	src/arch/sdl/win32-watcom/viciidtv.tgt,
	src/arch/sdl/win32-watcom/viciinew.tgt,
	src/arch/sdl/win32-watcom/video.tgt,
	src/arch/sdl/win32-watcom/vsid.tgt,
	src/arch/sdl/win32-watcom/x128.tgt, src/arch/sdl/win32-watcom/x64.tgt,
	src/arch/sdl/win32-watcom/x64dtv.tgt,
	src/arch/sdl/win32-watcom/x64sc.tgt,
	src/arch/sdl/win32-watcom/xcbm2.tgt,
	src/arch/sdl/win32-watcom/xcbm5x0.tgt,
	src/arch/sdl/win32-watcom/xpet.tgt,
	src/arch/sdl/win32-watcom/xplus4.tgt,
	src/arch/sdl/win32-watcom/xscpu64.tgt,
	src/arch/sdl/win32-watcom/xvic.tgt: Finished updating the sdl win32 ow
	project files.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/core/Makefile.am, src/drive/Makefile.am,
	src/drive/iec/Makefile.am, src/gfxoutputdrv/Makefile.am,
	src/pet/Makefile.am, src/sounddrv/Makefile.am: Cosmetic fixes.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/cbm2common.tgt,
	src/arch/sdl/win32-watcom/cbm5x0.tgt,
	src/arch/sdl/win32-watcom/core.tgt,
	src/arch/sdl/win32-watcom/crtc.tgt,
	src/arch/sdl/win32-watcom/diskimage.tgt,
	src/arch/sdl/win32-watcom/drive.tgt,
	src/arch/sdl/win32-watcom/fileio.tgt,
	src/arch/sdl/win32-watcom/fsdevice.tgt,
	src/arch/sdl/win32-watcom/gfxoutputdrv.tgt,
	src/arch/sdl/win32-watcom/iec.tgt,
	src/arch/sdl/win32-watcom/iec128dcr.tgt,
	src/arch/sdl/win32-watcom/iecbus.tgt,
	src/arch/sdl/win32-watcom/iecieee.tgt,
	src/arch/sdl/win32-watcom/ieee.tgt,
	src/arch/sdl/win32-watcom/imagecontents.tgt,
	src/arch/sdl/win32-watcom/joyport.tgt,
	src/arch/sdl/win32-watcom/maincpu.tgt,
	src/arch/sdl/win32-watcom/monitor.tgt,
	src/arch/sdl/win32-watcom/parallel.tgt,
	src/arch/sdl/win32-watcom/pet.tgt,
	src/arch/sdl/win32-watcom/plus4.tgt,
	src/arch/sdl/win32-watcom/plus4exp.tgt,
	src/arch/sdl/win32-watcom/printerdrv.tgt,
	src/arch/sdl/win32-watcom/raster.tgt,
	src/arch/sdl/win32-watcom/rs232drv.tgt,
	src/arch/sdl/win32-watcom/rtc.tgt,
	src/arch/sdl/win32-watcom/samplerdrv.tgt,
	src/arch/sdl/win32-watcom/serial.tgt,
	src/arch/sdl/win32-watcom/sid.tgt,
	src/arch/sdl/win32-watcom/sounddrv.tgt,
	src/arch/sdl/win32-watcom/tape.tgt,
	src/arch/sdl/win32-watcom/tcbm.tgt, src/arch/sdl/win32-watcom/vdc.tgt,
	src/arch/sdl/win32-watcom/vdrive.tgt,
	src/arch/sdl/win32-watcom/vic20.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/vicii.tgt,
	src/arch/sdl/win32-watcom/viciivsid.tgt: Some more ow fixes.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/core/ser-eeprom.c: The function fread doesn't return negative
	numbers.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/arch/sdl/Makefile.am, src/c64/cart/Makefile.am:
	Cosmetic fixes.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/cbm2.tmpl, src/arch/win32/vs_tmpl/pet.tmpl,
	src/cbm2/Makefile.am, src/cbm2/cbm2.c, src/pet/Makefile.am,
	src/pet/pet.c: Added missing sampler driver init calls.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/c64cart.tgt,
	src/arch/sdl/win32-watcom/c64dtv.tgt,
	src/arch/sdl/win32-watcom/cbm2.tgt,
	src/arch/sdl/win32-watcom/cbm2common.tgt,
	src/arch/sdl/win32-watcom/vice.wpj: More ow fixes.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/c64commonall.tgt,
	src/arch/sdl/win32-watcom/c64commonsc128.tgt,
	src/arch/sdl/win32-watcom/c64commonvsid.tgt,
	src/arch/sdl/win32-watcom/c64commonvsidsc.tgt,
	src/arch/sdl/win32-watcom/vice.wpj: More ow fixes.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/c64commonsc128scpu.tgt,
	src/arch/sdl/win32-watcom/c64commonscscpu.tgt,
	src/arch/sdl/win32-watcom/c64commonvsidsc128scpu.tgt,
	src/arch/sdl/win32-watcom/c64commonvsidscdtv.tgt,
	src/arch/sdl/win32-watcom/c64commonvsidscscpu.tgt,
	src/arch/sdl/win32-watcom/vice.wpj: More fixes.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/c64commonsc.tgt,
	src/arch/sdl/win32-watcom/c64commonscdtv128scpu.tgt,
	src/arch/sdl/win32-watcom/c64commonscdtvscpu.tgt,
	src/arch/sdl/win32-watcom/c64commonscvsid128.tgt,
	src/arch/sdl/win32-watcom/c64commonvsidscdtvscpu.tgt,
	src/arch/sdl/win32-watcom/c64commonvsidscpu.tgt,
	src/arch/sdl/win32-watcom/c64sc.tgt,
	src/arch/sdl/win32-watcom/vice.wpj,
	src/arch/sdl/win32-watcom/vsidlib.tgt: More fixes.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/win32-watcom/Makefile.am,
	src/arch/sdl/win32-watcom/arch.tgt,
	src/arch/sdl/win32-watcom/base.tgt,
	src/arch/sdl/win32-watcom/c128.tgt, src/arch/sdl/win32-watcom/c64.tgt,
	src/arch/sdl/win32-watcom/c64cart.tgt,
	src/arch/sdl/win32-watcom/c64commonsc.tgt,
	src/arch/sdl/win32-watcom/c64commonscvsid.tgt,
	src/arch/sdl/win32-watcom/c64dtv.tgt,
	src/arch/sdl/win32-watcom/c64exp.tgt,
	src/arch/sdl/win32-watcom/cbm2.tgt,
	src/arch/sdl/win32-watcom/gentr.tgt,
	src/arch/sdl/win32-watcom/ide-config.h,
	src/arch/sdl/win32-watcom/vice.wpj: Started on fixing the sdl ow
	project files.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/socket.c: Warning fix.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/network.c: The function fread doesn't return negative numbers.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/ui.c: Use int type for array index.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/utils/geninfocontrib.c: Warning fix.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/vice.pdf, src/arch/beos/Makefile.am: Fixed a typo.

2015-11-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/plus4ui.c: Added 'mouse settings' dialog and
	'grab mouse events' menu item to xcbm2, xcbm5x0, xpet and xplus4 in
	the unix port.

2015-11-16  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/Makefile.am: Fixed build of genconstants properly.
	Wow, it needs a lot of include dirs.

2015-11-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_pethw.c,
	src/arch/sdl/menu_plus4hw.c: Added 'mouse settings' dialog and
	'grab mouse events' menu item to xcbm2, xcbm5x0, xpet and xplus4 in
	the sdl port.

2015-11-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/cbm2ui.cc, src/arch/beos/cbm5x0ui.cc,
	src/arch/beos/petui.cc, src/arch/beos/plus4ui.cc,
	src/arch/beos/vicemenu.cc: Added 'mouse settings' dialog and
	'grab mouse events' menu item to xcbm2, xcbm5x0, xpet and xplus4 in
	the beos port.

2015-11-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/cbm2ui.c, src/arch/amigaos/cbm2uires.h,
	src/arch/amigaos/petui.c, src/arch/amigaos/petuires.h,
	src/arch/amigaos/plus4ui.c, src/arch/amigaos/plus4uires.h: Added
	'mouse settings' dialog and 'grab mouse events' menu item to xcbm2,
	xcbm5x0, xpet and xplus4 in the amiga port.

2015-11-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/cbm5x0ui.c, src/arch/win32/petui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/rescbm2.rc,
	src/arch/win32/resdialogs.txt, src/arch/win32/resmouse.rc,
	src/arch/win32/respet.rc, src/arch/win32/resplus4.rc,
	src/arch/win32/scpu64ui.c, src/arch/win32/uimouse.c,
	src/arch/win32/uimouse.h, src/arch/win32/vic20ui.c,
	src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl:
	Added 'mouse settings' dialog and 'grab mouse events' menu item to
	xcbm2, xcbm5x0, xpet and xplus4 in the windows port.

2015-11-15  pottendo  <pottendo@aon.at>

	* src/arch/unix/x11/Makefile.am, src/raster/Makefile.am,
	src/vicii/Makefile.am, src/viciisc/Makefile.am,
	src/viciivsid/Makefile.am, src/video/Makefile.am: Added missing
	'-I$(top_srcdir)/src/joyport'.

2015-11-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/base.tmpl,
	src/arch/win32/vs_tmpl/c64c128.tmpl,
	src/arch/win32/vs_tmpl/c64c64dtv.tmpl,
	src/arch/win32/vs_tmpl/cbm2common.tmpl,
	src/arch/win32/vs_tmpl/joyport.tmpl,
	src/arch/win32/vs_tmpl/vsidlib.tmpl: Fixed for 'joystick.*' move.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/joyport/Makefile.am, src/joyport/joystick.c,
	src/joyport/joystick.h, src/joystick.c, src/joystick.h: Moved
	joystick.* to the joyport directory.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cbm2/cbm2.c, src/pet/pet.c: Added mouse init/shutdown calls to
	xcbm2 and xpet, allowing them to use (at least) the cx22 mouse (and
	any future mice that don't use the potentiometer lines), no gui's have
	been updated yet.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uijoyport.c: Added missing menu.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/ui.c: Removed unused var.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/x11menu.h: Cosmetic fix.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uijoyport.c: Fixed.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64dtvui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/petui.c,
	src/arch/unix/gui/plus4ui.c, src/arch/unix/gui/scpu64ui.c,
	src/arch/unix/gui/uijoyport.c, src/arch/unix/gui/uijoyport.h,
	src/arch/unix/gui/vic20ui.c: Added userport joyport elements to the
	unix gui.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c128hw.c, src/arch/sdl/menu_c64dtvhw.c,
	src/arch/sdl/menu_c64hw.c, src/arch/sdl/menu_cbm2hw.c,
	src/arch/sdl/menu_joyport.c, src/arch/sdl/menu_joyport.h,
	src/arch/sdl/menu_pethw.c, src/arch/sdl/menu_plus4hw.c,
	src/arch/sdl/menu_scpu64hw.c, src/arch/sdl/menu_vic20hw.c,
	src/arch/sdl/x128_ui.c, src/arch/sdl/x64_ui.c,
	src/arch/sdl/x64dtv_ui.c, src/arch/sdl/x64sc_ui.c,
	src/arch/sdl/xcbm2_ui.c, src/arch/sdl/xpet_ui.c,
	src/arch/sdl/xplus4_ui.c, src/arch/sdl/xscpu64_ui.c,
	src/arch/sdl/xvic_ui.c: Added userport joyport elements to the sdl
	gui.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c128ui.c, src/arch/msdos/c64dtvui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/cbm2ui.c,
	src/arch/msdos/cbm5x0ui.c, src/arch/msdos/menudefs.c,
	src/arch/msdos/petui.c, src/arch/msdos/plus4ui.c,
	src/arch/msdos/scpu64ui.c, src/arch/msdos/uijoyport.c,
	src/arch/msdos/uijoyport.h, src/arch/msdos/vic20ui.c: Added userport
	joyport elements to the dos tui.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/ui.c: Cosmetic fixes.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/vicemenu.cc: Changed 'Joystick' to 'Joystick settings'
	in the beos gui to make things clearer.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c,
	src/cbm2/cbm2.c, src/pet/pet.c, src/scpu64/scpu64.c,
	src/vic20/vic20.c: Shortened the 'name' of the userport joystick
	adapter ports a bit.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64dtvui.cc,
	src/arch/beos/c64ui.cc, src/arch/beos/cbm2ui.cc,
	src/arch/beos/cbm5x0ui.cc, src/arch/beos/petui.cc,
	src/arch/beos/plus4ui.cc, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc,
	src/arch/beos/vicemenu.h: Fixed.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/cbm2ui.cc, src/arch/beos/petui.cc,
	src/monitor/mon_lex.c, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h: Added missing includes.

2015-11-14  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64dtvui.cc,
	src/arch/beos/c64ui.cc, src/arch/beos/cbm2ui.cc,
	src/arch/beos/cbm5x0ui.cc, src/arch/beos/genconstants.c,
	src/arch/beos/petui.cc, src/arch/beos/plus4ui.cc,
	src/arch/beos/scpu64ui.cc, src/arch/beos/vic20ui.cc,
	src/arch/beos/vicemenu.cc, src/arch/beos/vicemenu.h: Added userport
	joyport elements to the beos gui.

2015-11-14  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/ui_sid.cc, src/arch/beos/ui_sid.h,
	src/arch/beos/ui_sidcart.cc, src/arch/beos/ui_sidcart.h: Fixed the
	BeVICE SID and SID cart dialogs so that the reSID sliders are shown
	and function properly.

2015-11-14  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/vicemenu.h, src/arch/beos/vicewindow.cc: More build
	fixes for BeVICE. Sigh.

2015-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c64dtvui.c,
	src/arch/amigaos/c64ui.c, src/arch/amigaos/cbm2ui.c,
	src/arch/amigaos/cbm2uires.h, src/arch/amigaos/cbm5x0ui.c,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uijoyport.c, src/arch/amigaos/mui/uijoyport.h,
	src/arch/amigaos/petui.c, src/arch/amigaos/petuires.h,
	src/arch/amigaos/plus4ui.c, src/arch/amigaos/scpu64ui.c,
	src/arch/amigaos/vic20ui.c: Added userport joyport elements to the
	amiga gui.

2015-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/make-bindist.sh, src/arch/beos/make-bindist.sh,
	src/arch/msdos/make-bindist.sh, src/arch/sdl/make-bindist_amiga.sh,
	src/arch/sdl/make-bindist_beos.sh, src/arch/sdl/make-bindist_qnx6.sh,
	src/arch/sdl/make-bindist_win32.sh,
	src/arch/sdl/msvc-files/make-bindist-mips.bat.proto,
	src/arch/sdl/msvc-files/make-bindist.bat.proto,
	src/arch/win32/make-bindist.sh,
	src/arch/win32/msvc/make-msvc-bindist-native.bat.proto: Some
	'make bindist' fixes.

2015-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/msvc-files/make-bindist-mips.bat.proto,
	src/arch/sdl/msvc-files/make-bindist.bat.proto: Fixed some errors in
	the sdl msvc 'make bindist' batch files.

2015-11-13  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/make-bindist.sh,
	src/arch/win32/msvc/make-msvc-bindist-native.bat.proto: Fixed windows
	'make bindist' scripts.

2015-11-13  groepaz <groepaz@gmx.net>

	* src/cartconv.c: added extra --types option to show the (long) list
	of supported cart types

2015-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64dtvui.c, src/arch/win32/c64ui.c,
	src/arch/win32/cbm2ui.c, src/arch/win32/cbm5x0ui.c,
	src/arch/win32/petui.c, src/arch/win32/plus4ui.c,
	src/arch/win32/rescbm2.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resjoyport.rc, src/arch/win32/respet.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/scpu64ui.c,
	src/arch/win32/uijoyport.c, src/arch/win32/uijoyport.h,
	src/arch/win32/vic20ui.c, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xpet.tmpl: Added userport joyport elements to
	the windows gui.

2015-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/monitor/mon_lex.c, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h, src/pet/Makefile.am: Added missing include
	dir.

2015-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/cbm2.tmpl, src/arch/win32/vs_tmpl/pet.tmpl,
	src/arch/win32/vs_tmpl/userport.tmpl,
	src/arch/win32/vs_tmpl/xcbm2.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c, src/cbm2/cbm2.c,
	src/joyport/joyport.c, src/pet/pet.c, src/scpu64/scpu64.c,
	src/userport/Makefile.am, src/userport/userport_joystick.c,
	src/vic20/vic20.c: Changed the userport joystick adapters to use the
	new joyport system, no gui changes yet.

2015-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_dos_runtime_os.c,
	src/platform/platform_interix_runtime_os.c,
	src/platform/platform_windows_runtime_os.c: Updated.

2015-11-12  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/joyport.c: Removed unused var.

2015-11-12  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uijoyport.h: added missing prototype

2015-11-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/joyport.c: Extended joyport support to 4 ports, and
	improved the generation of joyport resources and command line options
	based on registered ports.

2015-11-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/joyport.h: Re-assigned joyport ports in the comments,
	this is to keep the userport joystick adapter ports the same number
	across emulators.

2015-11-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am: Fixed for out-of-source compile.

2015-11-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/drive/rotation.c: Warning fix.

2015-11-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/plus4ui.c, src/arch/unix/gui/uijoyport.c: Added
	joyport 3 (plus4 sidcard) support to the unix gui.

2015-11-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_joyport.c, src/arch/sdl/menu_joyport.h,
	src/arch/sdl/menu_plus4hw.c: Added joyport 3 (plus4 sidcard) support
	to the sdl gui.

2015-11-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/plus4ui.c, src/arch/msdos/uijoyport.c: Added
	joyport 3 (plus4 sidcard) support to the dos tui.

2015-11-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/genconstants.c, src/arch/beos/plus4ui.cc,
	src/arch/beos/vicemenu.cc: Added joyport 3 (plus4 sidcard) support to
	the beos gui.

2015-11-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uijoyport.c, src/arch/amigaos/plus4ui.c: Added
	joyport 3 (plus4 sidcard) support to the amiga gui.

2015-11-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/plus4ui.c, src/arch/win32/resdialogs.txt,
	src/arch/win32/resjoyport.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/uijoyport.c, src/joyport/joyport.c,
	src/joyport/joyport.h, src/joystick.c, src/plus4/plus4-sidcart.c,
	src/plus4/plus4.c, src/translate.txt, src/translate_text.c: Changed
	the plus4 sidcard to use the joyport system, only win32 gui has been
	adapted for this change, other gui's will soon follow.

2015-11-11  groepaz <groepaz@gmx.net>

	* src/drive/rotation.c: fix possible 32bit overflow, attempt to fix
	bug #682

2015-11-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/joyport.c: Removed active element checking from the
	setting of a joyport device.

2015-11-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/lib/libffmpeg/libavcodec/x86/fdct.c: Fixed ffmpeg fdct related
	crash.

2015-11-09  groepaz <groepaz@gmx.net>

	* src/joyport/joyport.c: fixed warning

2015-11-09  pottendo  <pottendo@aon.at>

	* src/arch/unix/x11/gnome/x11mouse.c: partly reverted to make hotkeys
	in fullscreen working again. popups are still not done.

2015-11-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/lib/ffmpeg/configure.gnu: Reverted script fix (didn't work).

2015-11-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/lib/ffmpeg/configure.gnu: Some svn property fixes.

2015-11-09  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/lib/ffmpeg/configure.gnu: Tentative fix for ffmpeg sse2 memory
	alignment problem.

2015-11-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c,
	src/cbm2/cbm5x0.c, src/joyport/joyport.c, src/joyport/joyport.h,
	src/joyport/lightpen.c, src/joyport/mouse.c,
	src/joyport/sampler2bit.c, src/joystick.c, src/plus4/plus4.c,
	src/scpu64/scpu64.c, src/sid/sid.c, src/translate.txt,
	src/translate_text.c, src/vic20/vic-mem.c, src/vic20/vic20.c: Rewrote
	parts of the joyport system to make it modular again and easier to
	expand.

2015-11-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fixed win32 ffmpeg pthread library link problem.

2015-11-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am: Fixed the 'command' to build ffmpeg, should fix
	ffmpeg not building at all.

2015-11-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/joyport.c, src/joyport/joyport.h,
	src/joyport/lightpen.c, src/joyport/mouse.c,
	src/joyport/sampler2bit.c, src/joystick.c, src/translate.txt,
	src/translate_text.c: Combined the control port joystick devices items
	into one joystick item, the port it is connected to will determine
	which host joystick mapping it will use.

2015-11-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/joyport.c: Changed the defaults of the joyport system,
	control port 1 defaults to joystick #1, and control port 2 defaults to
	joystick #2.

2015-11-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/c64dtv/c64dtv.c,
	src/cbm2/cbm5x0.c, src/joyport/joyport.c, src/joyport/joyport.h,
	src/plus4/plus4.c, src/scpu64/scpu64.c, src/sid/sid.c,
	src/vic20/vic-mem.c, src/vic20/vic20.c: Extended joyport system a bit.

2015-11-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/joyport.c, src/joyport/joyport.h: Added joyport # usage
	description comments, indicating which joyport number corresponds to
	which hardware port.

2015-11-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc: Changed 'Joystick in port #x" to
	"Joystick #x', to indicate that it is not attached to a port, it is
	just one of the 'pool' of joysticks.

2015-11-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/resource-and-cmdline-checking.txt, src/arch/amigaos/intl_text.c,
	src/arch/beos/vicemenu.cc, src/arch/msdos/uijoyport.c,
	src/arch/sdl/menu_joyport.c, src/arch/unix/gui/uijoyport.c,
	src/arch/win32/res.rc, src/arch/win32/resjoyport.rc,
	src/joyport/joyport.c, src/translate_text.c: Rename 'joyport' to
	'control port' in the GUIs and command line options.

2015-11-07  groepaz <groepaz@gmx.net>

	* doc/resource-and-cmdline-checking.txt, doc/vice.texi,
	src/arch/unix/gui/Makefile.am, src/arch/unix/gui/c128ui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/scpu64ui.c, src/arch/unix/gui/uic64cart.c,
	src/arch/unix/gui/uisupersnapshot.c,
	src/arch/unix/gui/uisupersnapshot.h, src/c64/cart/c64carthooks.c,
	src/c64/cart/supersnapshot.c, src/c64/cart/supersnapshot.h,
	src/translate.txt, src/translate_text.c: make supersnapshot 32k addon
	RAM optional and make 8k the default. see devlog

2015-11-07  groepaz <groepaz@gmx.net>

	* data/VIC20/Makefile.am, data/VIC20/mike-ntsc.vpl,
	data/VIC20/mike-pal.vpl: added mike's palette files

2015-11-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resstrings.txt, src/arch/win32/uidatasette.c: Added
	tape wobble item to the windows datasette dialog.

2015-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resdialogs.txt, src/arch/win32/resstrings.txt,
	src/arch/win32/resvicii.rc, src/arch/win32/uivicii.c: Added vicii vsp
	bug item to the windows viciisc dialog.

2015-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/ui.c: Fixed windows monitor window behavior.

2015-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Fix configuring of 'external ffmpeg' on non-unix
	platforms.

2015-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_ram.c: Fixed typos (fixes bug #676).

2015-11-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uijoyport.c: Fix for bug #677.

2015-11-06  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/uijoyport.c: fix joystick menu

2015-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mui/uijoyport.c, src/arch/beos/vicemenu.cc,
	src/arch/msdos/uijoyport.c, src/arch/sdl/menu_joyport.c,
	src/arch/unix/gui/uijoyport.c, src/arch/win32/uijoyport.c,
	src/joyport/joyport.c, src/joyport/joyport.h, src/joyport/lightpen.c,
	src/joyport/mouse.c, src/joyport/sampler2bit.c, src/joystick.c,
	src/translate.txt, src/translate_text.c: Added port_mask item to the
	joyport structure which allows for devices to be 'valid' on certain
	ports, makes lighpen devices available only on port 1.

2015-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/lib/Makefile.am, src/lib/libffmpeg/Makefile: Fix for
	'make dist'.

2015-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/lib/Makefile.am: Fix liblame directory for a
	'make dist' when internal (shared or static) ffmpeg support is
	disabled.

2015-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/Makefile.am: Fix resid and resid-dtv
	directories for a 'make dist' when either a c++ compiler is not
	present, or resid support is disabled.

2015-11-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* Makefile.am: Added files of the po directory to the main
	'Makefile.am', to get as close as possible to a 'proper' 'make dist'
	po directory as possible without intl being present.

2015-11-04  groepaz <groepaz@gmx.net>

	* src/6510dtvcore.c, src/mainc64cpu.c, src/mainviccpu.c: fix emulation
	of sha/shx/shy &H drop-off bug, fixes bug #578. patch by Leandro Nini

2015-11-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_c64cart.c, src/arch/sdl/menu_c64cart.h,
	src/arch/sdl/xscpu64_ui.c: Removed 'cartridge freeze' menu item from
	xscpu64 in the sdl port.

2015-11-04  groepaz <groepaz@gmx.net>

	* src/arch/unix/x11/gnome/x11ui.c: Fix checkmark updates in GTK-ui,
	patch by Magnus Lind

2015-11-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/os2/dialogs/menubar.c, src/arch/os2/dialogs/menubar.rc:
	Removed 'cartridge freeze' menu item from xscpu64 in the os/2 port.

2015-11-04  groepaz <groepaz@gmx.net>

	* src/arch/unix/gui/scpu64ui.c, src/arch/unix/gui/uic64cart.c,
	src/arch/unix/gui/uic64cart.h: removed cartridge freeze menu item from
	xscpu64 in unix port

2015-11-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uic64cart.c: Removed 'cartridge freeze' menu item
	from xscpu64 in the dos port.

2015-11-04  groepaz <groepaz@gmx.net>

	* src/vic20/vic-color.c, src/video/render1x1ntsc.c,
	src/video/render2x2ntsc.c, src/video/video-color.c: fix integer
	overflows in ntsc renderer

2015-11-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/scpu64ui.cc, src/arch/beos/vicemenu.cc: Removed
	'cartridge freeze' menu item from xscpu64 in the beos port.

2015-11-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/scpu64uires.h: Removed 'cartridge freeze' menu item
	from xscpu64 in the amiga port.

2015-11-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resscpu64.rc, src/arch/win32/scpu64ui.c: Removed
	'cartridge freeze' menu item from xscpu64 in the windows port.

2015-11-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_drive.c: Fixed sdl menu text for autostart loading
	to basic (fixes bug #673).

2015-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_joyport.c: Fixed bug #670.

2015-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/video/video-color.c: Warning fixes.

2015-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/scpu64ui.c: Fixed.

2015-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/mouse.c: Make smartmouse rtc resources available for
	xvic.

2015-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/gnome/uijoystatus.c: Do not use UserportJoy
	resource for xcbm5x0.

2015-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c128ui.c, src/arch/win32/c64ui.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resmenu.txt,
	src/arch/win32/resscpu64.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/scpu64ui.c: Removed (now obsolete) cart related 'IDM_*'
	items and related strings from the windows port.

2015-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/c128ui.c, src/arch/win32/c64dtvui.c,
	src/arch/win32/c64ui.c, src/arch/win32/cbm2ui.c,
	src/arch/win32/cbm5x0ui.c, src/arch/win32/petui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resscpu64.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/scpu64ui.c, src/arch/win32/ui.c, src/arch/win32/ui.h,
	src/arch/win32/uic64cart.c, src/arch/win32/uic64cart.h,
	src/arch/win32/uicart.c, src/arch/win32/uicart.h,
	src/arch/win32/uiplus4cart.c, src/arch/win32/vic20ui.c,
	src/arch/win32/vsidui.c: Added c64/c128/scpu64 dynamic cartridge menu
	generation to the windows port.

2015-11-03  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/gfxoutputdrv/godotdrv.c: Warning fix.

2015-11-03  groepaz <groepaz@gmx.net>

	* src/autostart-prg.c, src/gfxoutputdrv/godotdrv.c,
	src/samplerdrv/file_drv.c: more warning fixes

2015-11-03  groepaz <groepaz@gmx.net>

	* src/autostart-prg.c, src/autostart.c, src/joystick.c: some mingw32
	warning fixes

2015-11-03  groepaz <groepaz@gmx.net>

	* src/samplerdrv/file_drv.c: fix typo, eventually fixes #670 - please
	test

2015-11-03  groepaz <groepaz@gmx.net>

	* src/video/video-color.c: added missing include, fixes bug #671

2015-10-31  Kajtar Zsolt <soci@c64.rulez.org>

	* src/gfxoutputdrv/godotdrv.c: Compress picture, use clip only if not
	320x200

2015-11-03  groepaz <groepaz@gmx.net>

	* data/C64/Makefile.am: add palette to makefile

2015-11-03  groepaz <groepaz@gmx.net>

	* data/C64/rgb.vpl: added rgb palette for testing

2015-11-03  groepaz <groepaz@gmx.net>

	* src/vic20/vic-color.c, src/video/render1x1ntsc.c,
	src/video/render1x1pal.c, src/video/render2x2ntsc.c,
	src/video/render2x2pal.c, src/video/video-canvas.c,
	src/video/video-color.c, src/video/video-render.c: added proper color
	generation and decoding for NTSC/YIQ

2015-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/lib/ffmpeg/configure.gnu: Fix host discovery in ffmpeg
	configure.gnu file.

2015-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/res.rc, src/arch/win32/uimediafile.c: Updated the
	file filters.

2015-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/x11/gnome/uiscreenshot.c: Cosmetic fixes.

2015-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_screenshot.c: Added godot support to the sdl gui.

2015-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uiscreenshot.c: Added godot support to the dos tui.

2015-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/screen-shot.c: Added godot support to the amiga
	gui.

2015-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/file_drv.c, src/samplerdrv/portaudio_drv.c: Added
	proper logging to the sampler drivers code.

2015-11-02  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/gfxoutputdrv.tmpl: Added godotdrv.c to the
	msvc project file templates.

2015-11-02  pottendo  <pottendo@aon.at>

	* po/de.po: Updated.

2015-11-01  Marcus Sutton <loggedoubt@gmail.com>

	* src/Makefile.am: Fixed libjoyport not getting built when it should
	be.

2015-11-01  Marcus Sutton <loggedoubt@gmail.com>

	* src/c128/c128.c, src/c64/c64.c, src/scpu64/scpu64.c,
	src/vic20/vic20.c: Fixed building when HAVE_MOUSE is defined but
	HAVE_LIGHTPEN isn't.

2015-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/lib/ffmpeg/configure.gnu: Fixed shared
	libffmpeg 'make install' issue.

2015-11-01  Marcus Sutton <loggedoubt@gmail.com>

	* src/arch/beos/Makefile.am: Fixed build of genconstants

2015-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, build/android/build-android.sh, configure.proto,
	doc/vice.chm, doc/vice.guide, doc/vice.hlp, doc/vice.inf,
	doc/vice.pdf, doc/vice.txt, po/da.po, po/de.po, po/es.po, po/fr.po,
	po/hu.po, po/it.po, po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po,
	po/tr.po, src/arch/android/AnVICE/AndroidManifest.xml,
	src/arch/win32/vice-version.bat,
	src/platform/platform_dos_runtime_os.c,
	src/platform/platform_windows_runtime_os.c, src/version.h: VICE 2.4.22



2015-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/ui.c: Exclude vsid from the position/resize restore
	code.

2015-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/intl_text.c, src/arch/win32/res.rc,
	src/arch/win32/resjoyport.rc, src/translate_text.c: Did a
	'make trans-update'.

2015-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated again.

2015-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did another 'make update-po'.

2015-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/translate_text.c: Added missing ')' parts.

2015-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uiperipheraliec.c,
	src/arch/unix/gui/uiperipheralieee.c: Unify "Drive wobble" and
	"Drive Wobble" texts.

2015-11-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2015-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2015-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_dos_runtime_os.c,
	src/platform/platform_interix_runtime_os.c,
	src/platform/platform_windows_runtime_os.c: Some updates.

2015-10-31  Kajtar Zsolt <soci@c64.rulez.org>

	* src/gfxoutputdrv/Makefile.am, src/gfxoutputdrv/gfxoutput.c,
	src/gfxoutputdrv/godotdrv.c, src/gfxoutputdrv/godotdrv.h: Add godot
	output

2015-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/restfe.rc, src/arch/win32/uitfe.c: Improved user
	readability of the ethernet adapter name in the tfe dialog for the
	windows port.

2015-10-31  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/ui.c: Added a 'hack' to make x128 also support
	'size restore' for the windows port (some-1 with more knowledge of the
	windows port will need to come up with a proper solution, for now this
	does the job).

2015-10-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/Makefile.am, src/arch/beos/Makefile.am: Fixed.

2015-10-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/video/video-sound.c: fix audio leak sound generation, fixes bug
	#566 

2015-10-30  groepaz <groepaz@gmx.net>

	* src/arch/unix/Makefile.am: fix unix compilation

2015-10-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/arch/win32/vs_tmpl/joyport.tmpl,
	src/arch/win32/vs_tmpl/vsid.tmpl, src/arch/win32/vs_tmpl/x128.tmpl,
	src/arch/win32/vs_tmpl/x64.tmpl, src/arch/win32/vs_tmpl/x64dtv.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/c64dtv/c64dtv.c, src/joyport/Makefile.am, src/joyport/mouse.c,
	src/joyport/mouse.h, src/mouse.c, src/mouse.h: Moved mouse.c and
	mouse.h into the joyport directory.

2015-10-30  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/core/t6721.c, src/core/t6721.h, src/plus4/plus4speech.c: Fixed
	v364 speech slowness.

2015-10-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/mousedrv.c, src/arch/amigaos/mousedrv.h,
	src/arch/beos/mousedrv.cc, src/arch/beos/mousedrv.h,
	src/arch/beos/vicewindow.cc, src/arch/msdos/mousedrv.c,
	src/arch/msdos/mousedrv.h, src/arch/os2/mousedrv.c,
	src/arch/os2/mousedrv.h, src/arch/sdl/mousedrv.c,
	src/arch/sdl/mousedrv.h,
	src/arch/unix/macosx/cocoa/menu/vicemachinecontroller.m,
	src/arch/unix/macosx/cocoa/mousedrv.m, src/arch/unix/mousedrv.c,
	src/arch/unix/mousedrv.h, src/arch/win32/mousedrv.c,
	src/arch/win32/mousedrv.h, src/arch/win32/ui.c, src/c64dtv/c64dtv.c,
	src/mouse.c, src/mouse.h, src/ps2mouse.c, src/ps2mouse.h: 'untangled'
	mouse.c and ps2mouse.c

2015-10-29  groepaz <groepaz@gmx.net>

	* src/c64/cart/magicvoice.c: fix loading of the crt file

2015-10-29  pottendo  <pottendo@aon.at>

	* src/arch/unix/gui/Makefile.am, src/joyport/joyport.c: added
	'-I$(top_srcdir)/src/joyport' to fix Unix compilation again, and
	removed unused var.

2015-10-29  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/arch/win32/vs_tmpl/base.tmpl,
	src/arch/win32/vs_tmpl/c64scpu64.tmpl,
	src/arch/win32/vs_tmpl/joyport.tmpl, src/arch/win32/vs_tmpl/vsid.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/joyport/Makefile.am, src/joyport/joyport.c, src/joyport/joyport.h,
	src/joyport.c, src/joyport.h: Moved joyport.* into the joyport
	directory.

2015-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/resource-and-cmdline-checking.txt, doc/vice.texi, src/mouse.c,
	src/mouse.h, src/translate.txt, src/translate_text.c: Removed
	(now obsolete) mouse port resources and commandline options.

2015-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/drive/rotation.c: Fixed for 32bit systems, fix works for both
	32bit and 64bit systems.

2015-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/resource-and-cmdline-checking.txt, doc/vice.texi, src/mouse.c,
	src/translate.txt, src/translate_text.c: Removed (now obsolete)
	mousetype resource and commandline option.

2015-10-28  groepaz <groepaz@gmx.net>

	* doc/resource-and-cmdline-checking.txt, doc/vice.texi,
	src/arch/unix/gui/uidrive.c, src/arch/unix/gui/uidrive.h,
	src/arch/unix/gui/uiperipheraliec.c,
	src/arch/unix/gui/uiperipheralieee.c, src/diskimage.h,
	src/drive/drive-cmdline-options.c, src/drive/drive-resources.c,
	src/drive/drive-snapshot.c, src/drive/drive.c, src/drive/drive.h,
	src/drive/rotation.c, src/drive/rotation.h, src/translate.txt,
	src/translate_text.c, src/vdrive/vdrive.c: added RPM and wobble
	setting for drives, see devlog

2015-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/sampler2bit.c: Added 2bit joyport sampler data to the
	joyport gui activity.

2015-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/lightpen.c, src/joyport.c, src/joyport.h,
	src/joystick.c, src/mouse.c: joystick gui elements now show joyport
	device activity.

2015-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/ui.c: Changed the joystick gui update for windows to
	happen only once per 2 frames.

2015-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/ui.c, src/arch/win32/ui.h,
	src/arch/win32/vsyncarch.c: Changed the drive led update for the
	windows gui to happen only once per 2 frames, produces the same
	graphical effect without too much performance penalty.

2015-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/mouse.c: Removed joystick_set_value_or() /
	joystick_set_value_and() calls.

2015-10-28  groepaz <groepaz@gmx.net>

	* src/event.c: use machine_get_name() to get name inside snapshot,
	fixes (part of) bug #666

2015-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/mouse.c: Easier way to convert between 'mouse type' and
	'joyport id'.

2015-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/lightpen.c, src/joyport/lightpen.h: Made
	'lightpen_read_button_x/y' static, since they are not used outside of
	the source file.

2015-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport/lightpen.c: Easier way to convert between
	'lightpen type' and 'joyport id'.

2015-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto: Define HAVE_LIGHTPEN for osx as well.

2015-10-28  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/macosx/cocoa/menu/Makefile.am: Fix for osx build
	problem.

2015-10-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/ui-resources.c, src/arch/win32/ui.c: Added saving of
	window size for the windows port (fixes bug #664).

2015-10-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uijoyport.c: Fixed bug #665.

2015-10-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/kbd.c, src/arch/win32/ui-resources.c,
	src/core/cs8900.c: Some warning fixes.

2015-10-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uijoyport.c: Fix for 'needing' to set both joy ports
	at the same time, when only 1 port at a time can be set (fixes error
	dialog part of bug #665).

2015-10-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/arch/msdos/Makefile.am,
	src/arch/sdl/Makefile.am, src/arch/unix/x11/gnome/Makefile.am,
	src/arch/unix/x11/xaw/Makefile.am, src/arch/win32/Makefile.am,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/arch_sdl.tmpl,
	src/arch/win32/vs_tmpl/base.tmpl, src/arch/win32/vs_tmpl/joyport.tmpl,
	src/arch/win32/vs_tmpl/mkmsvc.dsp, src/arch/win32/vs_tmpl/sid.tmpl,
	src/arch/win32/vs_tmpl/vsid.tmpl, src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xpet.tmpl, src/joyport/Makefile.am,
	src/joyport/lightpen.c, src/joyport/lightpen.h, src/lightpen.c,
	src/lightpen.h, src/sid/Makefile.am: Moved 'lighpen.c/.h' into the
	joyport directory.

2015-10-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport.c, src/translate.txt, src/translate_text.c: Made the
	'input resource conflict' error message a bit more descriptive.

2015-10-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport.c: Fixed a warning.

2015-10-27  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uijoyport.c: Warning fixes (used uic64cart.c as
	example).

2015-10-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/mkmsvc.c, src/arch/win32/vs_tmpl/mkmsvc.exe:
	Fixed the path to debug.h for the msvc project files generation.

2015-10-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/resource-and-cmdline-checking.txt, doc/vice.texi,
	src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm5x0.c, src/lightpen.c,
	src/lightpen.h, src/scpu64/scpu64.c, src/translate.txt,
	src/translate_text.c, src/vic20/vic20.c: Removed (now obsolete)
	lightpen resource and command-line options.

2015-10-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_interix_runtime_os.c: Updated.

2015-10-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/msvc-files/ide-config-mips.h,
	src/arch/sdl/msvc-files/ide-config.h,
	src/arch/win32/msvc/ide-config.h: Added 'HAVE_LIGHTPEN' define to the
	msvc config files.

2015-10-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/Makefile.am,
	src/arch/win32/vs_tmpl/Makefile.am, src/arch/win32/vs_tmpl/c128.tmpl,
	src/arch/win32/vs_tmpl/c64.tmpl, src/arch/win32/vs_tmpl/c64dtv.tmpl,
	src/arch/win32/vs_tmpl/c64sc.tmpl, src/arch/win32/vs_tmpl/cbm5x0.tmpl,
	src/arch/win32/vs_tmpl/joyport.tmpl,
	src/arch/win32/vs_tmpl/plus4.tmpl, src/arch/win32/vs_tmpl/scpu64.tmpl,
	src/arch/win32/vs_tmpl/vic20.tmpl, src/arch/win32/vs_tmpl/vice.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64dtv.tmpl, src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/c128/Makefile.am, src/c128/c128.c, src/c64/Makefile.am,
	src/c64/c64.c, src/c64dtv/Makefile.am, src/c64dtv/c64dtv.c,
	src/cbm2/Makefile.am, src/cbm2/cbm5x0.c, src/joyport,
	src/joyport/Makefile.am, src/joyport/sampler2bit.c,
	src/joyport/sampler2bit.h, src/joyport.h, src/plus4/Makefile.am,
	src/plus4/plus4.c, src/scpu64/Makefile.am, src/scpu64/scpu64.c,
	src/translate.txt, src/translate_text.c, src/vic20/Makefile.am,
	src/vic20/vic20.c: Added 2bit sampler joyport device.

2015-10-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uijoyport.c: Fixed a warning.

2015-10-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_dos_runtime_os.c,
	src/platform/platform_interix_runtime_os.c,
	src/platform/platform_windows_runtime_os.c: Some updates.

2015-10-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/c64dtv.tmpl,
	src/arch/win32/vs_tmpl/cbm5x0.tmpl, src/arch/win32/vs_tmpl/plus4.tmpl,
	src/arch/win32/vs_tmpl/x64dtv.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl, src/c64dtv/Makefile.am,
	src/c64dtv/c64dtv.c, src/cbm2/Makefile.am, src/cbm2/cbm5x0.c,
	src/plus4/Makefile.am, src/plus4/plus4.c: Extended sampler init calls
	to xcbm5x0, x64dtv and xplus4 for the upcoming joyports 2bit sampler
	emulation.

2015-10-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/file_drv.c, src/translate.txt, src/translate_text.c:
	Added '-samplename' commandline option to the 'file' sampler device.

2015-10-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/file_drv.c: Added sample file name resource to the
	'file' sampler device.

2015-10-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/file_drv.c, src/samplerdrv/portaudio_drv.c,
	src/samplerdrv/sampler.c, src/samplerdrv/sampler.h, src/translate.txt,
	src/translate_text.c: Added (optional) resource and cmdline inits for
	sampler devices.

2015-10-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport.c: Fixed a typo.

2015-10-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/sampler.c, src/samplerdrv/sampler.h: Added the
	'SamplerDevice' resource to the audio input system.

2015-10-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/file_drv.c, src/samplerdrv/portaudio_drv.c,
	src/samplerdrv/sampler.c, src/samplerdrv/sampler.h: Use device id when
	registering a sampler device.

2015-10-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/samplerdrv/portaudio_drv.c,
	src/samplerdrv/sampler.c, src/samplerdrv/sampler.h,
	src/scpu64/scpu64.c, src/vic20/vic20.c: Use resource init to init the
	sampler code (earlier).

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport.c: Added 'nicer' commandline option arguments for the
	new joyport system.

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/resource-and-cmdline-checking.txt: Added joyport resources and
	cmdline-options to the resource/cmdline checking file.

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/cbm5x0ui.c, src/arch/amigaos/cbm5x0uires.h,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/uijoystick.c, src/arch/amigaos/mui/uimouse.c,
	src/arch/amigaos/plus4ui.c, src/arch/amigaos/plus4uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h: Removed
	(now obsolete) joystick and mouse elements in the amiga gui.

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/plus4ui.c,
	src/arch/unix/gui/uimouse.c, src/arch/unix/gui/uimouse.h: Added grab
	mouse events to xcbm5x0 and xplus4 in the unix port.

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_mouse.c,
	src/arch/sdl/menu_mouse.h, src/arch/sdl/menu_plus4hw.c,
	src/arch/sdl/menu_vic20hw.c: Added grab mouse events to xcbm5x0,
	xplus4 and xvic in the sdl port.

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/plus4ui.c, src/arch/win32/resplus4.rc: Removed mouse
	dialog from xplus4 in the windows gui.

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* data/CBM-II/win_shortcuts.vsc, data/PLUS4/win_shortcuts.vsc,
	data/VIC20/win_shortcuts.vsc, src/arch/win32/cbm5x0ui.c,
	src/arch/win32/plus4ui.c, src/arch/win32/rescbm5x0.rc,
	src/arch/win32/resmenu.txt, src/arch/win32/resplus4.rc,
	src/arch/win32/resvic20.rc, src/arch/win32/vic20ui.c: Added grab mouse
	events to xcbm5x0, xplus4 and xvic in the windows port.

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/vicemenu.cc: Force c-linkage of lib_free().

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/c128ui.c, src/arch/amigaos/c128uires.h,
	src/arch/amigaos/c64dtvui.c, src/arch/amigaos/c64dtvuires.h,
	src/arch/amigaos/c64ui.c, src/arch/amigaos/c64uires.h,
	src/arch/amigaos/cbm5x0ui.c, src/arch/amigaos/cbm5x0uires.h,
	src/arch/amigaos/intl.txt, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/mui/Makefile.am, src/arch/amigaos/mui/uijoyport.c,
	src/arch/amigaos/mui/uijoyport.h, src/arch/amigaos/plus4ui.c,
	src/arch/amigaos/plus4uires.h, src/arch/amigaos/scpu64ui.c,
	src/arch/amigaos/scpu64uires.h, src/arch/amigaos/uires.h,
	src/arch/amigaos/vic20ui.c, src/arch/amigaos/vic20uires.h: Added
	joyport dialog to the amiga gui.

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64ui.cc,
	src/arch/beos/constants.txt, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vicemenu.cc: Removed (now obsolete) mouse menus from the
	beos gui, and moved the joystick menu as a submenu of the joyport
	menu.

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos, src/arch/beos/c128ui.cc, src/arch/beos/c64dtvui.cc,
	src/arch/beos/c64ui.cc, src/arch/beos/cbm5x0ui.cc,
	src/arch/beos/plus4ui.cc, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.h: Fixed.

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/initcmdline.c: Comment cmdline debug define.

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64dtvui.cc,
	src/arch/beos/c64ui.cc, src/arch/beos/cbm5x0ui.cc,
	src/arch/beos/plus4ui.cc, src/arch/beos/scpu64ui.cc,
	src/arch/beos/vic20ui.cc, src/arch/beos/vicemenu.cc,
	src/arch/beos/vicemenu.h: Added code to set a function pointer.

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/Makefile.am, src/arch/beos/vicemenu.cc,
	src/monitor/mon_lex.c, src/monitor/mon_parse.c,
	src/monitor/mon_parse.h: Fixed.

2015-10-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/beos/c128ui.cc, src/arch/beos/c64dtvui.cc,
	src/arch/beos/c64ui.cc, src/arch/beos/cbm5x0ui.cc,
	src/arch/beos/genconstants.c, src/arch/beos/plus4ui.cc,
	src/arch/beos/scpu64ui.cc, src/arch/beos/vic20ui.cc,
	src/arch/beos/vicemenu.cc: Added joyport menus to the beos port.

2015-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/genamigaintl.c, src/arch/amigaos/intl_text.c,
	src/arch/amigaos/vsidui.c: Fixed.

2015-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/genamigaintl.c: Fixed for correct intl_table.h
	generation.

2015-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_beos_runtime_os.c: Fixed for ppc beos.

2015-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/amigaos/genamigaintl.c: Fixed for correct intl.h
	generation.

2015-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64dtv/c64dtv.c, src/cbm2/cbm2.c, src/pet/pet.c,
	src/plus4/plus4.c, src/vic20/vic20.c: Some fixes.

2015-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_dos_runtime_os.c,
	src/platform/platform_freebsd_runtime_os.c,
	src/platform/platform_interix_runtime_os.c,
	src/platform/platform_netbsd_runtime_os.c,
	src/platform/platform_openbsd_runtime_os.c,
	src/platform/platform_windows_runtime_os.c: Some updates.

2015-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_freebsd_version.h: Updated for FreeBSD 10.2.

2015-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_x86_gcc_cpuid.h: Restructured.

2015-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_openbsd_version.h: Updated for OpenBSD 5.8.

2015-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_netbsd_version.h: Updated for NetBSD 7.0.

2015-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/lightpen.c, src/vicefeatures.c: Added a
	'HAVE_LIGHPEN' define for platforms that have a lightpen driver, and
	made the joyport lightpen registration depend on that define.

2015-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/c128ui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/scpu64ui.c,
	src/arch/msdos/uilightpen.c, src/arch/msdos/uilightpen.h,
	src/arch/msdos/vic20ui.c: Removed (now obsolete) light pen menu from
	the dos tui.

2015-10-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c128ui.c: Fixed.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/c128ui.c, src/arch/msdos/c64dtvui.c,
	src/arch/msdos/c64ui.c, src/arch/msdos/scpu64ui.c,
	src/arch/msdos/uijoyport.c, src/arch/msdos/vic20ui.c: Moved the
	'mouse settings' elements to the 'joyport settings' menu for machines
	that have native joyports.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/menudefs.c, src/arch/msdos/uijoyport.c,
	src/arch/msdos/uijoystick.c: Made the 'joystick settings' menu a
	submenu of the 'joyport settings' menu for machines that have native
	joyports.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uijoyport.c: Extended the length of the 'show' string
	length.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uijoyport.c: Fixed the order of adding menu items.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/uijoyport.c: Fixed.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/Makefile.am, src/arch/msdos/cbm5x0ui.c,
	src/arch/msdos/menudefs.c, src/arch/msdos/petui.c,
	src/arch/msdos/plus4ui.c, src/arch/msdos/uijoyport.c,
	src/arch/msdos/uijoyport.h: Added joyport menus to the dos tui,
	duplicated functionality currently exists, the old system will be
	removed in a future commit.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/msdos/hardsid.c: Added missing 'hardsid_available' function
	to the dos port.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/unix/gui/Makefile.am,
	src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64scui.c,
	src/arch/unix/gui/c64ui.c, src/arch/unix/gui/scpu64ui.c,
	src/arch/unix/gui/uijoystick2.c, src/arch/unix/gui/uilightpen.c,
	src/arch/unix/gui/uilightpen.h, src/arch/unix/gui/uimouse.c,
	src/arch/unix/gui/uimouse.h, src/arch/unix/gui/vic20ui.c: Removed
	obsolete menus and menu items related to lightpen and mouse from the
	unix gui.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/uijoyport.c: removed unneeded lib_free calls.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64dtvui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/plus4ui.c,
	src/arch/unix/gui/scpu64ui.c, src/arch/unix/gui/uijoyport.c,
	src/arch/unix/gui/vic20ui.c: Fixed.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/unix/gui/Makefile.am,
	src/arch/unix/gui/c128ui.c, src/arch/unix/gui/c64dtvui.c,
	src/arch/unix/gui/c64scui.c, src/arch/unix/gui/c64ui.c,
	src/arch/unix/gui/cbm2ui.c, src/arch/unix/gui/plus4ui.c,
	src/arch/unix/gui/scpu64ui.c, src/arch/unix/gui/uijoyport.c,
	src/arch/unix/gui/uijoyport.h, src/arch/unix/gui/vic20ui.c: Added
	joyport menus to the unix gui, duplicated functionality currently
	exists, the old system will be removed in a future commit.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/sound.c: Fixed a crash.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am: Fixed.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/menu_c128hw.c,
	src/arch/sdl/menu_c64hw.c, src/arch/sdl/menu_joystick.c,
	src/arch/sdl/menu_lightpen.c, src/arch/sdl/menu_lightpen.h,
	src/arch/sdl/menu_mouse.c, src/arch/sdl/menu_scpu64hw.c,
	src/arch/sdl/menu_vic20hw.c, src/arch/win32/vs_tmpl/arch_sdl.tmpl:
	Removed obsolete menus and menu items related to lightpen and mouse
	from the sdl gui.

2015-10-22  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/sdl/Makefile.am, src/arch/sdl/menu_c128hw.c,
	src/arch/sdl/menu_c64dtvhw.c, src/arch/sdl/menu_c64hw.c,
	src/arch/sdl/menu_cbm2hw.c, src/arch/sdl/menu_joyport.c,
	src/arch/sdl/menu_joyport.h, src/arch/sdl/menu_plus4hw.c,
	src/arch/sdl/menu_scpu64hw.c, src/arch/sdl/menu_vic20hw.c,
	src/arch/win32/vs_tmpl/arch_sdl.tmpl: Added joyport menus to the sdl
	gui, duplicated functionality currently exists, the old system will be
	removed in a future commit.

2015-10-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/resstrings.txt, src/arch/win32/resvic20.rc,
	src/arch/win32/vic20ui.c: Changed 'enable paddles' to
	'grab mouse events' in the xvic windows gui.

2015-10-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uijoyport.c: Fixed.

2015-10-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/cbm2/cbm5x0.c, src/plus4/plus4.c: Extended mouse support to
	xcbm5x0 and xplus4, for xplus4 this means only the cx22 (which doesn't
	use pot lines) is available.

2015-10-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/joyport.c: Skip registration of pot dependent devices for
	machines that don't support pots.

2015-10-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64ui.c, src/arch/win32/res.rc,
	src/arch/win32/resc128.rc, src/arch/win32/resc64.rc,
	src/arch/win32/resdialogs.txt, src/arch/win32/reslightpen.rc,
	src/arch/win32/resmenu.txt, src/arch/win32/resmouse.rc,
	src/arch/win32/resscpu64.rc, src/arch/win32/resstrings.txt,
	src/arch/win32/resvic20.rc, src/arch/win32/scpu64ui.c,
	src/arch/win32/uilightpen.c, src/arch/win32/uilightpen.h,
	src/arch/win32/uimouse.c, src/arch/win32/vic20ui.c,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl:
	Removed (now obsolete) lightpen settings dialog from the windows gui,
	and got rid of (now obsolete) elements in the windows mouse settings
	dialog.

2015-10-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/POTFILES.in, src/arch/win32/uijoyport.c, src/joyport.c,
	src/joyport.h, src/joystick.c, src/lightpen.c, src/mouse.c,
	src/translate.txt, src/translate_text.c: Added intl support to the new
	joyport system.

2015-10-21  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/utils/gentranslate.c, src/cmdline.c,
	src/gentranslate_h.sh, src/gentranslate_h.sh.in,
	src/translate_funcs.h: Added dynamic translation feature.

2015-10-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/Makefile.am, src/arch/win32/c128ui.c,
	src/arch/win32/c64dtvui.c, src/arch/win32/c64ui.c,
	src/arch/win32/cbm5x0ui.c, src/arch/win32/plus4ui.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resc64dtv.rc,
	src/arch/win32/rescbm5x0.rc, src/arch/win32/resdialogs.txt,
	src/arch/win32/resjoyport.rc, src/arch/win32/resmenu.txt,
	src/arch/win32/resplus4.rc, src/arch/win32/resscpu64.rc,
	src/arch/win32/resstrings.txt, src/arch/win32/resvic20.rc,
	src/arch/win32/scpu64ui.c, src/arch/win32/uijoyport.c,
	src/arch/win32/uijoyport.h, src/arch/win32/vic20ui.c,
	src/arch/win32/vs_tmpl/arch_native.tmpl,
	src/arch/win32/vs_tmpl/x128.tmpl, src/arch/win32/vs_tmpl/x64.tmpl,
	src/arch/win32/vs_tmpl/x64dtv.tmpl, src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/joyport.c, src/joyport.h: Added joyport gui support to the windows
	port, duplicated functionality currently present, old system will be
	removed in a future commit.

2015-10-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/cbm2/cbm5x0.c, src/joyport.c,
	src/joyport.h, src/plus4/plus4.c, src/scpu64/scpu64.c,
	src/vic20/vic20.c: Improved joyport system port amount handling.

2015-10-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/Makefile.am, src/arch/win32/vs_tmpl/base.tmpl,
	src/arch/win32/vs_tmpl/vsid.tmpl, src/arch/win32/vs_tmpl/x128.tmpl,
	src/arch/win32/vs_tmpl/x64.tmpl, src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xcbm2.tmpl,
	src/arch/win32/vs_tmpl/xcbm5x0.tmpl, src/arch/win32/vs_tmpl/xpet.tmpl,
	src/arch/win32/vs_tmpl/xplus4.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl,
	src/c128/c128.c, src/c128/c128cia1.c, src/c64/c64.c,
	src/c64/c64cia1.c, src/c64dtv/c64dtv.c, src/c64dtv/c64dtvcia1.c,
	src/cbm2/cbm5x0.c, src/cbm2/cbm5x0cia1.c, src/initcmdline.c,
	src/joyport.c, src/joyport.h, src/joystick.c, src/lightpen.c,
	src/mouse.c, src/plus4/plus4.c, src/plus4/ted-mem.c,
	src/scpu64/scpu64.c, src/sid/sid.c, src/vic20/vic-mem.c,
	src/vic20/vic20.c, src/vic20/vic20via1.c, src/vic20/vic20via2.c:
	Started on a new joyport management system, meant to be modular, and
	easier to maintain. The new system allows only 1 device per port
	(or none) and manages conflicts and needed input resources. The GUI's
	have not been updated yet and the parts of the old system still needs
	to be removed, so from the GUI perspective the joystick/mouse/lightpen
	system will 'look' broken till I am finished with the new joyport
	system.

2015-10-19  groepaz <groepaz@gmx.net>

	* src/c128/c128rom.c, src/c64/c64-resources.c, src/c64/c64rom.c,
	src/plus4/plus4rom.c, src/traps.c, src/vic20/vic20rom.c: disable
	device traps before switching kernal -versions and -roms. should fix
	bug #646, #633, #601 (perhaps :))

2015-10-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/resources.c: Warning fix.

2015-10-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* doc/resource-and-cmdline-checking.txt: Updated with new commandline
	option.

2015-10-19  groepaz <groepaz@gmx.net>

	* doc/Makefile.am, doc/checkdoc.mak, doc/checkdoc.mon: make checkdoc
	script work again

2015-10-19  groepaz <groepaz@gmx.net>

	* src/initcmdline.c, src/resources.c, src/resources.h,
	src/translate.txt, src/translate_text.c: added option to dump all
	resources into a file

2015-10-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/drive/drive-resources.c: Applied gpz fix for drive resource init
	order issue (bug #663).

2015-10-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/vicefeatures.c: Updated with new optional features.

2015-10-18  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/winmain.c: Fixed windows argc/argv issues.

2015-10-18  pottendo  <pottendo@aon.at>

	* po/de.po: updated.

2015-10-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/cbm2.tmpl,
	src/arch/win32/vs_tmpl/cbm2common.tmpl,
	src/arch/win32/vs_tmpl/cbm5x0.tmpl, src/cbm2/Makefile.am,
	src/cbm2/cbm2cia1.c, src/cbm2/cbm5x0cia1.c: Split cbm2cia1.c into
	cbm2cia1.c and cbm5x0cia1.c

2015-10-16  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/video/video-sound.c: cosmetic fix.

2015-10-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_dos_runtime_os.c,
	src/platform/platform_interix_runtime_os.c,
	src/platform/platform_windows_runtime_os.c: Updated.

2015-10-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/sampler.c: Fixed.

2015-10-11  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, doc/vice.texi, src/arch/amigaos/mui/uisound.c,
	src/arch/amigaos/vsidui.c, src/arch/beos/constants.txt,
	src/arch/beos/ui.cc, src/arch/beos/ui_file.cc,
	src/arch/beos/ui_file.h, src/arch/beos/vicemenu.cc,
	src/arch/sdl/menu_sound.c, src/arch/unix/gui/uicommands.c,
	src/arch/unix/gui/uilib.h, src/arch/unix/x11/gnome/uifileentry.c,
	src/arch/unix/x11/xaw/x11ui.c, src/arch/win32/res.rc,
	src/arch/win32/uimediafile.c, src/arch/win32/uisound.c,
	src/samplerdrv/file_drv.c, src/sound.c, src/sound.h,
	src/sounddrv/Makefile.am, src/sounddrv/soundvorbis.c: Added ogg/vorbis
	support, both sound input (sampler-file) and output, and updated the
	various gui's.

2015-10-10  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, doc/vice.texi, src/arch/amigaos/mui/uisound.c,
	src/arch/beos/constants.txt, src/arch/beos/ui.cc,
	src/arch/beos/ui_file.cc, src/arch/beos/ui_file.h,
	src/arch/beos/vicemenu.cc, src/arch/sdl/menu_sound.c,
	src/arch/unix/gui/uicommands.c, src/arch/unix/gui/uilib.h,
	src/arch/unix/x11/gnome/uifileentry.c, src/arch/unix/x11/xaw/x11ui.c,
	src/arch/win32/res.rc, src/arch/win32/uimediafile.c,
	src/arch/win32/uisound.c, src/samplerdrv/file_drv.c,
	src/samplerdrv/sampler.c, src/sound.c, src/sound.h,
	src/sounddrv/Makefile.am, src/sounddrv/soundflac.c: Added flac
	support, both sound input (sampler-file) and output, and updated the
	various gui's.

2015-10-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/samplerdrv/file_drv.c: Added mp3 loader.

2015-10-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/file_drv.c: Added aifc loader.

2015-10-08  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/file_drv.c: Added aiff loader.

2015-10-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/file_drv.c: Added iff loader.

2015-10-07  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/file_drv.c, src/samplerdrv/portaudio_drv.c,
	src/samplerdrv/sampler.c, src/samplerdrv/sampler.h: Completed the voc
	file loader support and added device shutdown code.

2015-10-07  groepaz <groepaz@gmx.net>

	* src/samplerdrv/file_drv.c: fixed warnings

2015-10-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* ChangeLog, build/android/build-android.sh, configure.proto,
	doc/resource-and-cmdline-checking.txt, doc/vice.chm, doc/vice.guide,
	doc/vice.hlp, doc/vice.inf, doc/vice.pdf, doc/vice.texi, doc/vice.txt,
	po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po, po/ko.po,
	po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	src/arch/android/AnVICE/AndroidManifest.xml, src/monitor/mon_lex.c,
	src/monitor/mon_parse.c, src/monitor/mon_parse.h, src/version.h: VICE
	2.4.21

2015-10-06  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/generate_msvc10_ffmpeg_project.bat,
	src/arch/win32/generate_msvc10_project.bat,
	src/arch/win32/generate_msvc11_ffmpeg_project.bat,
	src/arch/win32/generate_msvc11_project.bat,
	src/arch/win32/generate_msvc12_ffmpeg_project.bat,
	src/arch/win32/generate_msvc12_project.bat,
	src/arch/win32/generate_msvc14_ffmpeg_project.bat,
	src/arch/win32/generate_msvc14_project.bat,
	src/arch/win32/generate_msvc6_project.bat,
	src/arch/win32/generate_msvc70_ffmpeg_project.bat,
	src/arch/win32/generate_msvc70_project.bat,
	src/arch/win32/generate_msvc71_ffmpeg_project.bat,
	src/arch/win32/generate_msvc71_project.bat,
	src/arch/win32/generate_msvc8_ffmpeg_project.bat,
	src/arch/win32/generate_msvc8_project.bat,
	src/arch/win32/generate_msvc9_ffmpeg_project.bat,
	src/arch/win32/generate_msvc9_project.bat,
	src/arch/win32/vice-version.bat: Added copy of msvc debug.h to the
	win32 msvc project generation batch files.

2015-10-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/sv.po, src/arch/amigaos/intl_text.c,
	src/arch/win32/res.rc, src/arch/win32/resc128.rc,
	src/arch/win32/resc64.rc, src/arch/win32/resc64memoryhacks.rc,
	src/arch/win32/resds12c887rtc.rc, src/arch/win32/reside64.rc,
	src/arch/win32/resmouse.rc, src/arch/win32/resuserportrtc.rc,
	src/translate_text.c: Did a 'make trans-update'.

2015-10-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/nl.po, po/translations-status.txt: Updated.

2015-10-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* po/da.po, po/de.po, po/es.po, po/fr.po, po/hu.po, po/it.po,
	po/ko.po, po/nl.po, po/pl.po, po/ru.po, po/sv.po, po/tr.po,
	po/translations-status.txt: Did a 'make update-po'.

2015-10-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_discovery.h,
	src/platform/platform_dos_runtime_os.c,
	src/platform/platform_dragonfly_runtime_os.c,
	src/platform/platform_dragonfly_version.h,
	src/platform/platform_interix_runtime_os.c,
	src/platform/platform_windows_runtime_os.c, src/samplerdrv/file_drv.c:
	Some updates.

2015-10-05  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/platform/platform_x86_gcc_cpuid.h: Fixed for 'PIC' x86_64/amd64
	compile.

2015-10-04  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/uiperipheral.c: Applied fix as pointed out by
	'Zefram Cochrane' to fix the 'Drive Tabs Missing in (or Crash)
	Peripheral Settings' issue.

2015-10-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/file_drv.c: Added u-law and a-law decoding.

2015-10-01  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/file_drv.c: Added '.wav' file loader/decoder,
	currently works with pcm (8/16/24/32bit) and float (32/64bit) encoded
	files.

2015-09-27  Marcus Sutton <loggedoubt@gmail.com>

	* configure.proto: Disable use of --noyywrap option with flex for now,
	as it breaks compatibility with older versions.

2015-09-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/sfx_soundsampler.c, src/samplerdrv/file_drv.c,
	src/samplerdrv/portaudio_drv.c, src/samplerdrv/sampler.c,
	src/samplerdrv/sampler.h: Added support for (future) stereo sampling.

2015-09-26  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/arch/win32/vs_tmpl/Makefile.am,
	src/arch/win32/vs_tmpl/c128.tmpl, src/arch/win32/vs_tmpl/c64.tmpl,
	src/arch/win32/vs_tmpl/c64commoncart.tmpl,
	src/arch/win32/vs_tmpl/c64sc.tmpl,
	src/arch/win32/vs_tmpl/samplerdrv.tmpl,
	src/arch/win32/vs_tmpl/scpu64.tmpl, src/arch/win32/vs_tmpl/vic20.tmpl,
	src/arch/win32/vs_tmpl/vice.tmpl, src/arch/win32/vs_tmpl/x128.tmpl,
	src/arch/win32/vs_tmpl/x64.tmpl, src/arch/win32/vs_tmpl/x64sc.tmpl,
	src/arch/win32/vs_tmpl/xscpu64.tmpl, src/arch/win32/vs_tmpl/xvic.tmpl:
	Added the samplerdrv files to the msvc templates.

2015-09-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/Makefile.am, src/samplerdrv/file_drv.c,
	src/samplerdrv/file_drv.h, src/samplerdrv/sampler.c: Added
	experimental file loader sampler device, portaudio still the default
	device if compiled in.

2015-09-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/portaudio_drv.c: Fixed sampler timing issues.

2015-09-25  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/portaudio_drv.c, src/samplerdrv/portaudio_drv.h: Some
	small fixes.

2015-09-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/c128.c, src/c64/c64.c, src/samplerdrv/sampler.c,
	src/samplerdrv/sampler.h, src/scpu64/scpu64.c, src/vic20/vic20.c:
	Added empty resource and cmdline options init code to the sampler
	driver for future usage.

2015-09-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c128/Makefile.am, src/c128/c128.c, src/c64/Makefile.am,
	src/c64/c64.c, src/c64/cart/sfx_soundsampler.c,
	src/samplerdrv/Makefile.am, src/samplerdrv/portaudio_drv.c,
	src/samplerdrv/portaudio_drv.h, src/samplerdrv/sampler.c,
	src/samplerdrv/sampler.h, src/scpu64/Makefile.am, src/scpu64/scpu64.c,
	src/vic20/Makefile.am, src/vic20/vic20.c: Started on a generic audio
	input driver system.

2015-09-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/portaudio_drv.h: Fixed a prototype.

2015-09-24  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/sfx_soundsampler.c, src/samplerdrv/portaudio_drv.c,
	src/samplerdrv/portaudio_drv.h: Made current sample tracking internal
	to the portaudio driver.

2015-09-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/samplerdrv/portaudio_drv.c: Don't allow the portaudio driver to
	be started twice.

2015-09-23  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/Makefile.am, src/c64/cart/Makefile.am,
	src/c64/cart/sfx_soundsampler.c, src/samplerdrv,
	src/samplerdrv/Makefile.am, src/samplerdrv/portaudio_drv.c,
	src/samplerdrv/portaudio_drv.h: Generalized the portaudio sampler
	driver a bit.

2015-09-20  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/sfx_soundsampler.c: Fixed audio input freeze up.

2015-09-19  groepaz <groepaz@gmx.net>

	* data/C128/x11_pos.vkm, data/C128/x11_sym.vkm, data/C64/x11_pos.vkm,
	data/C64/x11_sym.vkm, data/C64DTV/x11_pos.vkm,
	data/C64DTV/x11_sym.vkm, data/CBM-II/x11_sym.vkm,
	data/PET/x11_buuk_sym.vkm, data/PLUS4/x11_pos.vkm,
	data/PLUS4/x11_sym.vkm, data/SCPU64/x11_pos.vkm,
	data/SCPU64/x11_sym.vkm, data/VIC20/x11_pos.vkm,
	data/VIC20/x11_sym.vkm: added support for dead keys in X11, patch by
	Hans Deragon

2015-09-19  Marco van den Heuvel <blackystardust68@yahoo.com>

	* configure.proto, src/c64/cart/sfx_soundsampler.c: Added sound
	sampling support (using portaudio) for the sfx sound sampler
	cartridge.

2015-09-15  Marco van den Heuvel <blackystardust68@yahoo.com>

	* src/c64/cart/sfx_soundsampler.c: Started on fixing the sfx sound
	sampler emulation.

2015-09-14  groepaz <groepaz@gmx.net>

	* data/DRIVES/Makefile.am, data/DRIVES/dos2000, data/DRIVES/dos4000,
	src/Makefile.am, src/arch/os2/makedist.cmd,
	src/arch/os2/watcom/makebindist.bat,
